KPL/FK


LUCY Frames Kernel 
========================================================================

   This frame kernel contains the current set of frame definitions for
   the LUCY spacecraft including definitions for the LUCY mechanical
   structure frames, antenna frames, and science instrument frames.


Version and Date
========================================================================

   Version 0.5 -- September 1, 2021 -- Matt Barnes

      Changed LUCY_RALPH_LEISA_<YELLOW,GREEN,BLUE> frame and object 
      names to LUCY_RALPH_LEISA_LVF<1,2,3> and updated orientation of 
      RALPH LEISA bands and updated orientation and ordering of 
      RALPH MVIC bands per [11].

      Added LUCY_RALPH_LEISA_C<04-26> [IDs -49240-(-49262)] frames 
      and name/ID mapping for the individual LEISA channels per [12].

   Version 0.4 -- June 09, 2021 -- Matt Barnes

      Added dynamic frames LUCY_<TargetAsteroid>_E with IDs -499XX
      to represent the Trojan Encounter Frames for each target per [4].

      Changed LUCY_RALPH_FT to LUCY_RALPH_MVIC in Frames Summary.

   Version 0.3 -- April 20, 2021 -- Matt Barnes

      Updated ID codes for Donaldjohanson, Polymele, Leucus,
      and Orus to extended asteroid NAIF ID scheme.

      Added asteroid Queta to name/ID mappings (QUETA/120003548) and 
      added QUETA_FIXED frame.

      Added Eurybates-Queta barycenter object name/ID mapping 
      (EURYBATES_BARYCENTER/20003548) and changed Eurybates object ID
      and EURBATES_FIXED frame ID from 2003548 to 920003548 based on 
      extended asteroid NAIF ID scheme.

   Version 0.2 -- May 12, 2020 -- Boris Semenov

      Added name/ID mapppings and frame for Ralph radiator
      (LUCY_RALPH_RAD/-49290)

   Version 0.1 -- March 2, 2020 -- Boris Semenov

      Changed Patroclus object ID and PATROCLUS_FIXED frame ID from
      2000617 to 920000617, based on the extended minor planets ID
      schema adopted in June 2019.
 
      Added Patroclus-Menoetius barycenter object name/ID mapping
      (PATROCLUS_BARYCENTER/20000617), based on the extended minor
      planets ID schema adopted in June 2019.

      Renamed the object and frame LUCY_RALPH_MVIC_FT to
      LUCY_RALPH_MVIC (per [9])

      Added the LUCY_RALPH_SCAN frame (ID -49201) and redefined the
      LUCY_RALPH_LEISA and LUCY_RALPH_MVIC frames to be with respect to
      it (per [9])

      Added name/ID mapppings for LUCY_TES_85/-49401 and
      LUCY_TES_50/-49402 to be used to define additional 85% and 50%
      encircled energy FOVs for the instrument (per [9])

   Version 0.0 -- October 7, 2019 -- Boris Semenov

      Initial release.


References
========================================================================

   1. ``Frames Required Reading''

   2. ``Kernel Pool Required Reading''

   3. ``C-Kernel Required Reading''

   4. Lucy Coordinate System Document, LUCY-RP-17-SE-1, latest version

   5. Lucy Spacecraft to L'Ralph ICD, LUCY-RQ-17-SE-5A, latest version

   6. Lucy Spacecraft to L'LORRI ICD, LUCY-RQ-17-SE-5B, latest version

   7. Lucy Spacecraft to L'TES ICD, LUCY-RQ-17-SE-5C, latest version

   8. NH FK nh_v220.tf, from New Horizons SPICE data set
      NH-J/P/SS-SPICE-6-V1.0

   9. Review comments on initial Lucy FK/IK, David E. Kaufmann, SWRI,
      February 17, 2020

  10. Target Asteroid ID Update TCR, Kevin Berry, GSFC, April 2021

  11. LRalph_detectors.pptx, Emma Birath, SWRI, August 16, 2021 

  12. LVFs.xlsx, Amy Simon, GFSC, Aug 24, 2021


Contact Information
========================================================================

   Matt Barnes, JPL, (818)-354-5942, matthew.j.barnes@jpl.nasa.gov
   Boris V. Semenov, JPL, (818)-354-8136, boris.v.semenov@jpl.nasa.gov


Implementation Notes
========================================================================

   This file is used by the SPICE system as follows: programs that make
   use of this frame kernel must `load' the kernel, normally during
   program initialization. Loading the kernel associates the data items
   with their names in a data structure called the "kernel pool". The
   SPICE API FURNSH loads a kernel into the pool as shown below:

      FORTRAN (SPICELIB):       CALL FURNSH ( 'frame_kernel_name' )
      C (CSPICE):               furnsh_c ( "frame_kernel_name" );
      IDL (ICY):                cspice_furnsh, 'frame_kernel_name'
      MATLAB (MICE):            cspice_furnsh ( 'frame_kernel_name' )
      PYTHON (SPICEYPY):        spiceypy.furnsh( 'frame_kernel_name' )

   This file was created and may be updated with a text editor or word
   processor.


LUCY Frames Summary
========================================================================

   The following LUCY frames are defined in this kernel file:

           Name                      Relative to         Type       NAIF ID
      =========================  ======================  ========   =======

   LUCY Target Asteroid Frames:
   ----------------------------------------
      DONALDJOHANSON_FIXED       J2000                   PCK       20052246
      EURYBATES_FIXED            J2000                   PCK      920003548
      QUETA_FIXED                J2000                   PCK      120003548
      POLYMELE_FIXED             J2000                   PCK       20015094
      LEUCUS_FIXED               J2000                   PCK       20011351
      ORUS_FIXED                 J2000                   PCK       20021900
      PATROCLUS_FIXED            J2000                   PCK      920000617
      MENOETIUS_FIXED            J2000                   PCK      120000617

   LUCY Dynamic Frames:
   ----------------------------------------
      LUCY_DONALDJOHANSON_E      J2000                   DYNAMIC     -49900
      LUCY_EURYBATES_E           J2000                   DYNAMIC     -49901
      LUCY_QUETA_E               J2000                   DYNAMIC     -49902
      LUCY_POLYMELE_E            J2000                   DYNAMIC     -49903
      LUCY_LEUCUS_E              J2000                   DYNAMIC     -49904
      LUCY_ORUS_E                J2000                   DYNAMIC     -49905
      LUCY_PATROCLUS_E           J2000                   DYNAMIC     -49906
      LUCY_MENOETIUS_E           J2000                   DYNAMIC     -49907

   LUCY Spacecraft and Structures frames:
   ----------------------------------------
      LUCY_SPACECRAFT            J2000                   CK          -49000

      LUCY_HGA                   LUCY_SPACECRAFT         FIXED       -49020
      LUCY_MGA                   LUCY_SPACECRAFT         FIXED       -49021
      LUCY_LGA                   LUCY_SPACECRAFT         FIXED       -49023

      LUCY_SAPY                  LUCY_SPACECRAFT         FIXED       -49071
      LUCY_SAMY                  LUCY_SPACECRAFT         FIXED       -49072

      LUCY_SUN4A-PY              LUCY_SPACECRAFT         FIXED       -49080
      LUCY_SUN4A-MY              LUCY_SPACECRAFT         FIXED       -49085

      LUCY_STOH01                LUCY_SPACECRAFT         FIXED       -49091
      LUCY_STOH02                LUCY_SPACECRAFT         FIXED       -49092

      LUCY_IPP_BP                LUCY_SPACECRAFT         FIXED       -49501
      LUCY_IPP_IG                LUCY_IPP_BP             CK          -49503
      LUCY_IPP_OG                LUCY_IPP_IG             CK          -49505
      LUCY_IPP                   LUCY_IPP_OG             FIXED       -49507

      LUCY_TTCAM1                LUCY_IPP                FIXED       -49510
      LUCY_TTCAM2                LUCY_IPP                FIXED       -49520


   RALPH frames:
   ----------------------------------------
      LUCY_RALPH                 LUCY_IPP                FIXED       -49200

      LUCY_RALPH_SCAN            LUCY_RALPH              FIXED       -49201

      LUCY_RALPH_LEISA           LUCY_RALPH_SCAN         FIXED       -49210
      LUCY_RALPH_LEISA_LVF1      LUCY_RALPH_LEISA        FIXED       -49211
      LUCY_RALPH_LEISA_LVF2      LUCY_RALPH_LEISA        FIXED       -49212
      LUCY_RALPH_LEISA_LVF3      LUCY_RALPH_LEISA        FIXED       -49213

      LUCY_RALPH_LEISA_C04       LUCY_RALPH_LEISA        FIXED       -49240
      LUCY_RALPH_LEISA_C05       LUCY_RALPH_LEISA        FIXED       -49241
      LUCY_RALPH_LEISA_C06       LUCY_RALPH_LEISA        FIXED       -49242
      LUCY_RALPH_LEISA_C07       LUCY_RALPH_LEISA        FIXED       -49243
      LUCY_RALPH_LEISA_C08       LUCY_RALPH_LEISA        FIXED       -49244
      LUCY_RALPH_LEISA_C09       LUCY_RALPH_LEISA        FIXED       -49245
      LUCY_RALPH_LEISA_C10       LUCY_RALPH_LEISA        FIXED       -49246
      LUCY_RALPH_LEISA_C11       LUCY_RALPH_LEISA        FIXED       -49247
      LUCY_RALPH_LEISA_C12       LUCY_RALPH_LEISA        FIXED       -49248
      LUCY_RALPH_LEISA_C13       LUCY_RALPH_LEISA        FIXED       -49249
      LUCY_RALPH_LEISA_C14       LUCY_RALPH_LEISA        FIXED       -49250
      LUCY_RALPH_LEISA_C15       LUCY_RALPH_LEISA        FIXED       -49251
      LUCY_RALPH_LEISA_C16       LUCY_RALPH_LEISA        FIXED       -49252
      LUCY_RALPH_LEISA_C17       LUCY_RALPH_LEISA        FIXED       -49253
      LUCY_RALPH_LEISA_C18       LUCY_RALPH_LEISA        FIXED       -49254
      LUCY_RALPH_LEISA_C19       LUCY_RALPH_LEISA        FIXED       -49255
      LUCY_RALPH_LEISA_C20       LUCY_RALPH_LEISA        FIXED       -49256
      LUCY_RALPH_LEISA_C21       LUCY_RALPH_LEISA        FIXED       -49257
      LUCY_RALPH_LEISA_C22       LUCY_RALPH_LEISA        FIXED       -49258
      LUCY_RALPH_LEISA_C23       LUCY_RALPH_LEISA        FIXED       -49259
      LUCY_RALPH_LEISA_C24       LUCY_RALPH_LEISA        FIXED       -49260
      LUCY_RALPH_LEISA_C25       LUCY_RALPH_LEISA        FIXED       -49261
      LUCY_RALPH_LEISA_C26       LUCY_RALPH_LEISA        FIXED       -49262

      LUCY_RALPH_SCP             LUCY_RALPH              FIXED       -49220

      LUCY_RALPH_MVIC            LUCY_RALPH_SCAN         FIXED       -49230
      LUCY_RALPH_MVIC_PAN        LUCY_RALPH_MVIC         FIXED       -49231
      LUCY_RALPH_MVIC_VIOLET     LUCY_RALPH_MVIC         FIXED       -49236
      LUCY_RALPH_MVIC_GREEN      LUCY_RALPH_MVIC         FIXED       -49235
      LUCY_RALPH_MVIC_ORANGE     LUCY_RALPH_MVIC         FIXED       -49234
      LUCY_RALPH_MVIC_PHYLLO     LUCY_RALPH_MVIC         FIXED       -49233
      LUCY_RALPH_MVIC_NIR        LUCY_RALPH_MVIC         FIXED       -49232

      LUCY_RALPH_RAD             LUCY_RALPH              FIXED       -49290


   LORRI frames:
   ----------------------------------------
      LUCY_LORRI_MECH            LUCY_IPP                FIXED       -49309

      LUCY_LORRI                 LUCY_LORRI_MECH         FIXED       -49300

      LUCY_LORRI_1X1             LUCY_LORRI              FIXED       -49301
      LUCY_LORRI_4X4             LUCY_LORRI              FIXED       -49302


   TES frames:
   ----------------------------------------
      LUCY_TES_MECH              LUCY_IPP                FIXED       -49409

      LUCY_TES                   LUCY_TES_MECH           FIXED       -49400



LUCY Frame Tree
========================================================================


   The diagram below shows the frame hierarchy of the LUCY spacecraft,
   its structure, and science instrument frames.


                               "J2000" INERTIAL
           +------------------------------------------+----------+
           |                          |               |          |
           |                          |               |          |
           |                          |               |          |
           |<-pck                     |          pck->|          |
           v                          |               v          |
        "IAU_EARTH"                   |       "[TARGET]_FIXED"   |
        -----------                   |       ----------------   |
                                      |                          |
                                      |                 dynamic->|
                                      |                          v 
                                      |             "LUCY_[TARGET]_E"
                                      |              -----------------
                                      |
                                      |
                                      |
        "LUCY_HGA"                    |               "LUCY_SUN4A-PY"
        ----------                    |               ---------------
           ^                          |                          ^
           |<-fixed                   |                   fixed->|
           |                          |                          |
           | "LUCY_MGA"               |          "LUCY_SUN4A-MY" |
           | ----------               |          --------------- |
           |  ^                       |                       ^  |
           |  |<-fixed                |              fixed->  |  |
           |  |                       |                       |  |
           |  | "LUCY_LGA"            |         "LUCY_STOH01" |  |
           |  | ----------            |         ------------- |  |
           |  |  ^                    |                    ^  |  |
           |  |  |<-fixed             |             fixed->|  |  |
           |  |  |                    |                    |  |  |
           |  |  |                    |      "LUCY_STOH02" |  |  |
           |  |  |                    |      ------------- |  |  |
           |  |  |                    |                 ^  |  |  |
           |  |  |                    |          fixed->|  |  |  |
           |  |  |                    |                 |  |  |  |
           |  |  |    "LUCY_SAPY"     |     "LUCY_SAMY" |  |  |  |
           |  |  |    ----------      |     ----------- |  |  |  |
           |  |  |     ^              |              ^  |  |  |  |
           |  |  |     |<-fixed       |       fixed->|  |  |  |  |
           |  |  |     |              |              |  |  |  |  |
           |  |  |     |              |<-ck          |  |  |  |  |
           |  |  |     |              V              |  |  |  |  |
           |  |  |     |      "LUCY_SPACECRAFT"      |  |  |  |  |
           +--+--+-----+-----------------------------+--+--+--+--+
                                      |
                                      |<-fixed
                                      v
                                "LUCY_IPP_BP"
                                -------------
                                      |
                                      |<-ck
                                      v
                                "LUCY_IPP_IG"
                                -------------
                                      |
                                      |<-ck
                                      v
        "LUCY_TTCAM1"           "LUCY_IPP_OG"           "LUCY_TTCAM2"
        -------------           -------------           -------------
           ^                          |                          ^
           |<-fixed                   |<-fixed                   |<-fixed
           |                          v                          |
           |                      "LUCY_IPP"                     |
           +-----------------------------------------------------+
           |                          |                          |
           |<-fixed                   |<-fixed                   |<-fixed
           v                          |                          v
        "LUCY_LORRI_MECH"             |               "LUCY_TES_MECH"
        -----------------             |               ---------------
           |                          |                          |
           |<-fixed                   |                          |<-fixed
           v                          |                          v
        "LUCY_LORRI"                  |                    "LUCY_TES"
        ------------                  |                    ----------
           |     |                    |
           |     |<-fixed             |
           |     v                    |
           |   "LUCY_LORRI_1X1"       |
           |   ----------------       |
           |                          |
           |<-fixed                   |
           v                          |
        "LUCY_LORRI_4X4"              |
        ----------------              |
                                      |
                                      v
                                 "LUCY_RALPH"
                                 --------------------------------+
                                      |                          |
                                      |                          |<-fixed
                                      |                          v
                                      |              "LUCY_RALPH_SCP"
                                      |              ----------------
                                      |
                                      |<-ck
                                      v
                              "LUCY_RALPH_SCAN"
           +-----------------------------------------------------+
           |                                                     |
           |<-fixed                                              |<-fixed
           v                                                     v
        "LUCY_RALPH_LEISA"                          "LUCY_RALPH_MVIC"    
        ------------------                          -----------------
           |        |                                            |
           |        |<-fixed                                     |
           |        V                                            |
           |  "LUCY_RALPH_LEISA_C[04-26]"                        |
           |  ---------------------------                        |
           |                                                     |
           |<-fixed                                              |
           V                                                     |
        "LUCY_RALPH_LEISA_[LVF1|LVF2|LVF3]"                      |
        -----------------------------------                      |
                                                                 |
                                                                 |<-fixed
                                                                 v
               "LUCY_RALPH_MVIC_[PAN|VIOLET|GREEN|ORANGE|PHYLLO|NIR]"
               ------------------------------------------------------


LUCY Target Asteroid Frames
========================================================================

   This section of the file contains the definitions of the LUCY target
   asteroid frames.


   Body-fixed frames for all LUCY target asteroids are defined using
   the standard body-fixed, PCK-based frame formation rules:
   
      -  +Z axis is toward the North pole;

      -  +X axis is toward the prime meridian;

      -  +Y axis completes the right hand frame;

      -  the origin of this frame is at the center of the body.

   These frames are named <asteroidname>_FIXED and have the same IDs as
   the asteroids.

   The orientation of these frames is computed by evaluating
   corresponding rotation constants provided in the PCK file(s).

   \begindata

      FRAME_DONALDJOHANSON_FIXED       =  20052246
      FRAME_20052246_NAME              = 'DONALDJOHANSON_FIXED'
      FRAME_20052246_CLASS             =  2
      FRAME_20052246_CLASS_ID          =  20052246
      FRAME_20052246_CENTER            =  20052246
      OBJECT_20052246_FRAME            = 'DONALDJOHANSON_FIXED'

      FRAME_EURYBATES_FIXED            =  920003548
      FRAME_920003548_NAME             = 'EURYBATES_FIXED'
      FRAME_920003548_CLASS            =  2
      FRAME_920003548_CLASS_ID         =  920003548
      FRAME_920003548_CENTER           =  920003548
      OBJECT_920003548_FRAME           = 'EURYBATES_FIXED'

      FRAME_QUETA_FIXED                =  120003548
      FRAME_120003548_NAME             = 'QUETA_FIXED'
      FRAME_120003548_CLASS            =  2
      FRAME_120003548_CLASS_ID         =  120003548
      FRAME_120003548_CENTER           =  120003548
      OBJECT_120003548_FRAME           = 'QUETA_FIXED'

      FRAME_POLYMELE_FIXED             =  20015094
      FRAME_20015094_NAME              = 'POLYMELE_FIXED'
      FRAME_20015094_CLASS             =  2
      FRAME_20015094_CLASS_ID          =  20015094
      FRAME_20015094_CENTER            =  20015094
      OBJECT_20015094_FRAME            = 'POLYMELE_FIXED'

      FRAME_LEUCUS_FIXED               =  20011351
      FRAME_20011351_NAME              = 'LEUCUS_FIXED'
      FRAME_20011351_CLASS             =  2
      FRAME_20011351_CLASS_ID          =  20011351
      FRAME_20011351_CENTER            =  20011351
      OBJECT_20011351_FRAME            = 'LEUCUS_FIXED'

      FRAME_ORUS_FIXED                 =  20021900
      FRAME_20021900_NAME              = 'ORUS_FIXED'
      FRAME_20021900_CLASS             =  2
      FRAME_20021900_CLASS_ID          =  20021900
      FRAME_20021900_CENTER            =  20021900
      OBJECT_20021900_FRAME            = 'ORUS_FIXED'

      FRAME_PATROCLUS_FIXED            =  920000617
      FRAME_920000617_NAME             = 'PATROCLUS_FIXED'
      FRAME_920000617_CLASS            =  2
      FRAME_920000617_CLASS_ID         =  920000617
      FRAME_920000617_CENTER           =  920000617
      OBJECT_920000617_FRAME           = 'PATROCLUS_FIXED'

      FRAME_MENOETIUS_FIXED            =  120000617
      FRAME_120000617_NAME             = 'MENOETIUS_FIXED'
      FRAME_120000617_CLASS            =  2
      FRAME_120000617_CLASS_ID         =  120000617
      FRAME_120000617_CENTER           =  120000617
      OBJECT_120000617_FRAME           = 'MENOETIUS_FIXED'

   \begintext


LUCY Dynamic Frames
========================================================================

   This section of the file contains the definitions of the 
   LUCY-to-target-asteroid dynamic frames.


   Dynamic frames representing the Trojan Encounter Frame for each
   target asteroid are defined as follows:

      -  +Z axis points along the inertial spacecraft velocity w.r.t.
         the target asteroid (primary).
 
      -  +Y axis points normal to the plane defined by the spacecraft
         nadir vector (the vector from the center of the spacecraft 
         to the center of the target asteroid) and the relative velocity 
         vector that defines the +Z axis, and has the same direction 
         as the nadir vector cross the relative velocity vector.
 
      -  +X axis completes the right handed frame and points in the 
         direction of the spacecraft from the target asteroid 
         (secondary).
 
      -  the origin of the frame is at the spacecraft center of mass.

   These frames are named as LUCY_[TargetAsteroid]_E with IDs -4990[0-7] 
   and are defined as two-vector style dynamic frames below.

   Note that at times far from encounters, calculations using these 
   frames may generate errors due to the defining vectors being 
   colinear.

   \begindata

      FRAME_LUCY_DONALDJOHANSON_E     = -49900
      FRAME_-49900_NAME               = 'LUCY_DONALDJOHANSON_E'
      FRAME_-49900_CLASS              = 5
      FRAME_-49900_CLASS_ID           = -49900
      FRAME_-49900_CENTER             = 'LUCY'
      FRAME_-49900_RELATIVE           = 'J2000'
      FRAME_-49900_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49900_FAMILY             = 'TWO-VECTOR'
      FRAME_-49900_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49900_PRI_AXIS           = 'Z'
      FRAME_-49900_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49900_PRI_OBSERVER       = 'DONALDJOHANSON'
      FRAME_-49900_PRI_TARGET         = 'LUCY'
      FRAME_-49900_PRI_ABCORR         = 'NONE'
      FRAME_-49900_PRI_FRAME          = 'J2000'

      FRAME_-49900_SEC_AXIS           = 'X'
      FRAME_-49900_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49900_SEC_OBSERVER       = 'DONALDJOHANSON'
      FRAME_-49900_SEC_TARGET         = 'LUCY'
      FRAME_-49900_SEC_ABCORR         = 'NONE'


      FRAME_LUCY_EURYBATES_E          = -49901
      FRAME_-49901_NAME               = 'LUCY_EURYBATES_E'
      FRAME_-49901_CLASS              = 5
      FRAME_-49901_CLASS_ID           = -49901
      FRAME_-49901_CENTER             = 'LUCY'
      FRAME_-49901_RELATIVE           = 'J2000'
      FRAME_-49901_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49901_FAMILY             = 'TWO-VECTOR'
      FRAME_-49901_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49901_PRI_AXIS           = 'Z'
      FRAME_-49901_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49901_PRI_OBSERVER       = 'EURYBATES'
      FRAME_-49901_PRI_TARGET         = 'LUCY'
      FRAME_-49901_PRI_ABCORR         = 'NONE'
      FRAME_-49901_PRI_FRAME          = 'J2000'

      FRAME_-49901_SEC_AXIS           = 'X'
      FRAME_-49901_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49901_SEC_OBSERVER       = 'EURYBATES'
      FRAME_-49901_SEC_TARGET         = 'LUCY'
      FRAME_-49901_SEC_ABCORR         = 'NONE'


      FRAME_LUCY_QUETA_E              = -49902
      FRAME_-49902_NAME               = 'LUCY_QUETA_E'
      FRAME_-49902_CLASS              = 5
      FRAME_-49902_CLASS_ID           = -49902
      FRAME_-49902_CENTER             = 'LUCY'
      FRAME_-49902_RELATIVE           = 'J2000'
      FRAME_-49902_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49902_FAMILY             = 'TWO-VECTOR'
      FRAME_-49902_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49902_PRI_AXIS           = 'Z'
      FRAME_-49902_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49902_PRI_OBSERVER       = 'QUETA'
      FRAME_-49902_PRI_TARGET         = 'LUCY'
      FRAME_-49902_PRI_ABCORR         = 'NONE'
      FRAME_-49902_PRI_FRAME          = 'J2000'

      FRAME_-49902_SEC_AXIS           = 'X'
      FRAME_-49902_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49902_SEC_OBSERVER       = 'QUETA'
      FRAME_-49902_SEC_TARGET         = 'LUCY'
      FRAME_-49902_SEC_ABCORR         = 'NONE'


      FRAME_LUCY_POLYMELE_E           = -49903
      FRAME_-49903_NAME               = 'LUCY_POLYMELE_E'
      FRAME_-49903_CLASS              = 5
      FRAME_-49903_CLASS_ID           = -49903
      FRAME_-49903_CENTER             = 'LUCY'
      FRAME_-49903_RELATIVE           = 'J2000'
      FRAME_-49903_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49903_FAMILY             = 'TWO-VECTOR'
      FRAME_-49903_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49903_PRI_AXIS           = 'Z'
      FRAME_-49903_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49903_PRI_OBSERVER       = 'POLYMELE'
      FRAME_-49903_PRI_TARGET         = 'LUCY'
      FRAME_-49903_PRI_ABCORR         = 'NONE'
      FRAME_-49903_PRI_FRAME          = 'J2000'

      FRAME_-49903_SEC_AXIS           = 'X'
      FRAME_-49903_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49903_SEC_OBSERVER       = 'POLYMELE'
      FRAME_-49903_SEC_TARGET         = 'LUCY'
      FRAME_-49903_SEC_ABCORR         = 'NONE'


      FRAME_LUCY_LEUCUS_E             = -49904
      FRAME_-49904_NAME               = 'LUCY_LEUCUS_E'
      FRAME_-49904_CLASS              = 5
      FRAME_-49904_CLASS_ID           = -49904
      FRAME_-49904_CENTER             = 'LUCY'
      FRAME_-49904_RELATIVE           = 'J2000'
      FRAME_-49904_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49904_FAMILY             = 'TWO-VECTOR'
      FRAME_-49904_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49904_PRI_AXIS           = 'Z'
      FRAME_-49904_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49904_PRI_OBSERVER       = 'LEUCUS'
      FRAME_-49904_PRI_TARGET         = 'LUCY'
      FRAME_-49904_PRI_ABCORR         = 'NONE'
      FRAME_-49904_PRI_FRAME          = 'J2000'

      FRAME_-49904_SEC_AXIS           = 'X'
      FRAME_-49904_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49904_SEC_OBSERVER       = 'LEUCUS'
      FRAME_-49904_SEC_TARGET         = 'LUCY'
      FRAME_-49904_SEC_ABCORR         = 'NONE'


      FRAME_LUCY_ORUS_E               = -49905
      FRAME_-49905_NAME               = 'LUCY_ORUS_E'
      FRAME_-49905_CLASS              = 5
      FRAME_-49905_CLASS_ID           = -49905
      FRAME_-49905_CENTER             = 'LUCY'
      FRAME_-49905_RELATIVE           = 'J2000'
      FRAME_-49905_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49905_FAMILY             = 'TWO-VECTOR'
      FRAME_-49905_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49905_PRI_AXIS           = 'Z'
      FRAME_-49905_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49905_PRI_OBSERVER       = 'ORUS'
      FRAME_-49905_PRI_TARGET         = 'LUCY'
      FRAME_-49905_PRI_ABCORR         = 'NONE'
      FRAME_-49905_PRI_FRAME          = 'J2000'

      FRAME_-49905_SEC_AXIS           = 'X'
      FRAME_-49905_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49905_SEC_OBSERVER       = 'ORUS'
      FRAME_-49905_SEC_TARGET         = 'LUCY'
      FRAME_-49905_SEC_ABCORR         = 'NONE'


      FRAME_LUCY_PATROCLUS_E          = -49906
      FRAME_-49906_NAME               = 'LUCY_PATROCLUS_E'
      FRAME_-49906_CLASS              = 5
      FRAME_-49906_CLASS_ID           = -49906
      FRAME_-49906_CENTER             = 'LUCY'
      FRAME_-49906_RELATIVE           = 'J2000'
      FRAME_-49906_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49906_FAMILY             = 'TWO-VECTOR'
      FRAME_-49906_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49906_PRI_AXIS           = 'Z'
      FRAME_-49906_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49906_PRI_OBSERVER       = 'PATROCLUS'
      FRAME_-49906_PRI_TARGET         = 'LUCY'
      FRAME_-49906_PRI_ABCORR         = 'NONE'
      FRAME_-49906_PRI_FRAME          = 'J2000'

      FRAME_-49906_SEC_AXIS           = 'X'
      FRAME_-49906_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49906_SEC_OBSERVER       = 'PATROCLUS'
      FRAME_-49906_SEC_TARGET         = 'LUCY'
      FRAME_-49906_SEC_ABCORR         = 'NONE'


      FRAME_LUCY_MENOETIUS_E          = -49907
      FRAME_-49907_NAME               = 'LUCY_MENOETIUS_E'
      FRAME_-49907_CLASS              = 5
      FRAME_-49907_CLASS_ID           = -49907
      FRAME_-49907_CENTER             = 'LUCY'
      FRAME_-49907_RELATIVE           = 'J2000'
      FRAME_-49907_DEF_STYLE          = 'PARAMETERIZED'
      FRAME_-49907_FAMILY             = 'TWO-VECTOR'
      FRAME_-49907_ANGLE_SEP_TOL      = 0.000001

      FRAME_-49907_PRI_AXIS           = 'Z'
      FRAME_-49907_PRI_VECTOR_DEF     = 'OBSERVER_TARGET_VELOCITY'
      FRAME_-49907_PRI_OBSERVER       = 'MENOETIUS'
      FRAME_-49907_PRI_TARGET         = 'LUCY'
      FRAME_-49907_PRI_ABCORR         = 'NONE'
      FRAME_-49907_PRI_FRAME          = 'J2000'

      FRAME_-49907_SEC_AXIS           = 'X'
      FRAME_-49907_SEC_VECTOR_DEF     = 'OBSERVER_TARGET_POSITION'
      FRAME_-49907_SEC_OBSERVER       = 'MENOETIUS'
      FRAME_-49907_SEC_TARGET         = 'LUCY'
      FRAME_-49907_SEC_ABCORR         = 'NONE'

   \begintext


LUCY Spacecraft and Spacecraft Structures Frames
========================================================================

   This section of the file contains the definitions of the spacecraft
   and spacecraft structures frames.


LUCY Spacecraft Frame
---------------------

   The LUCY spacecraft frame -- LUCY_SPACECRAFT (ID -49000) -- is
   defined in [4] as Space Vehicle Alignment Frame (SVAA) as follows:

      -  +Z axis is perpendicular to the launch vehicle separation
         plane, pointing from the separation plane toward/through the
         spacecraft and away from the launch vehicle.

      -  +X axis is nominally parallel to the HGA boresight.

      -  +Y axis completes the right-hand frame.

      -  the origin of the frame is located the launch vehicle
         separation plane at the center point of the outside diameter
         of the launch vehicle Ring.

   These diagrams illustrate the LUCY_SPACECRAFT frame:

      -Xsc view
      ---------
                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v

                              LORRI   TES  Ralph
         SA+y                    .-------.__ .                    SA-y
          .......                | o | o . o||                .......
       .-'   |   `-.             |   |   |  ||             .-'   |   `-.
      '             `-.          `----------'`          .-'             `
      .      |         `-.             o  IPP        .-'         |      .
                          \          .---.          /
      .      |         .   \       .'     `.       /   .         |      .
                            \    .-----------.    /
      .      |      .        \   |           |   /        .      |      .
                              \  |           |  /
      .  .   |   .             . |           | .             .   |   .  .
                          .  ' | |-----------| | `  .
      .    . | .     .  '      | |           | |      `  .     . | .    .
       `  .     .  '           | |           | |           `  .     .  '
      .- - - o - - - - - - - - | |           | - - - - - - - - - o - - -.
          `     ``-..          | |      +Zzc | |          ..-''     `  .
      .`   . | .     ``-..     | |     ^     | |     ..-''     . | .    .
                          ``-..| |     |     | |..-''
      .  .   |   .             '=`-----|-----'='             .   |   .  .
                              /     /__|__\     \
      .      |      .            <-----x         \        .      |      .
                             +Ysc       +Xsc      \
      .      |         .                           \    .        |      .
                          /                         \
      .      |         .-'                           `-.         |      .
      .             .-'                                 `-.             .
       `-.   |   .-'                                       `-.   |   .-'
          ```````                                             ```````

                                               +Xsc is into the page.

                                              All instrument boresights
                                                point out of the page.



      +Zsc view
      ---------
                                       |
                  Cross-track          |
                <------------->        | Nadir
                                       |
                                       v

                                     .---.
                                   .'     `.
                                 .'         `.
                                 -----  +Xsc -  HGA
                                 \     ^     /
                                 .-----|-----.
                                 |     |     |
     ========o==================.|     |     |.==================o=======
        SA+y    ``-..            <-----o+Zzc |\           ..-''    SA-y
                     ``-..  + Ysc   ______   | \     ..-''
                          ``-.   |.'   o  |__   `.-''
                                 `-----------|
                                 || |_| |_| || IPP
                                  |_| `-' |_|

                              LORRI   TES  Ralph

                                                   +Zsc is out of the page.

                                                 All instrument boresights
                                                         point down.


      -Ysc view
      ---------
                                       ^
                      Nadir            |
                <--------------        | Along-track
                                       |
                                       v

                           Ralph           SA-y
                               __.--..    .
                              |  |  ||    |
                              `--`- '|    |
                                  `--|    |
                               IPP   o    |
                                    /|    |      HGA
                                   /.|    |  .'|.
                                  /-------|-|  | `.
                                 .        | |  |   `
                                 |        | |  |   |
                                 |        | |  |   .
                                 |--------|-|  | .'
                                 |        |  `.|'
                                 |        |  |
                                 |        |  |
                                 | +Zsc   |  |
                                 |     ^  |  |
                                 |     |  |  |
                                 `-----|--|--'
                                    /__|__|
                                       x----->
                                   +Ysc   |   +Xsc
                                          |
                                          |
                                          |
                                          |
                                          |
                                          '
                                                     +Ysc is into the page.

                                                 All instrument boresights
                                                      point to the left.

   The LUCY_SPACECRAFT frame is defined below as a CK-based frame.

   \begindata

      FRAME_LUCY_SPACECRAFT            = -49000
      FRAME_-49000_NAME                = 'LUCY_SPACECRAFT'
      FRAME_-49000_CLASS               = 3
      FRAME_-49000_CLASS_ID            = -49000
      FRAME_-49000_CENTER              = -49
      CK_-49000_SCLK                   = -49
      CK_-49000_SPK                    = -49

   \begintext


LUCY Antenna Frames
-------------------

   The LUCY antenna frames -- LUCY_HGA (ID -49020), LUCY_MGA (ID
   -49021), and LUCY_LGA (ID -49023) -- are defined based on boresight
   directions from [4] as follows:

      -  +Z axis is along the antenna boresight.

      -  +Y axis is nominally co-aligned with the s/c +Y axis.

      -  +X axis completes the right-hand frame.

      -  the origin of the frame is located at the antenna focal point
         (for HGA and MGA) or the center of the antenna outer patch
         (for LGA).

   This diagram illustrates the LUCY antenna frames:

      -Ysc view
      ---------
                                       ^
                      Nadir            |
                <--------------        | Along-track
                                       |
                                       v
                           Ralph           SA-y
                               __.--..    .
                              |  |  ||    |
                              `--`- '|    |
                                  `--|    |
                               IPP   o    | HGA
                                    /|    |
                                   /.|    |  .'|.
                                  /-------|-|  | `.
                                 .        | |  |   `     +Zhga
                                 |        | |  |   x---->
                                 |        | |  |   |
                                 |--------|-|  | .'|
                                 |        |  `.|'  v +Xhga
                                 |        |  |
                                 |        |  |
                       +Xlga     | +Zsc   |  |x
                             <.  |     ^  |  /
                               `.|     |  | /|
                                 `x----|--|v 'x..            - - - -
                                 /  /__|__| ./   ``>         3.5 deg
                                /      x----->       +Zmga      |     
                               v    +Ysc   v  +Xsc           .. v
                         +Zlga           +Xmga                 ``..
                                           
                             /         |  |
                            /<- 10 deg |  |
                           /           |  |                  `.
                                          '
                                              +Ysc, +Yhga, +Ymga, +Ymga2,
                                               and +Ylga are into the page.

                                                 All instrument boresights
                                                     point to the left.

   As seen on the diagram:

      -  the LUCY_HGA frame is nominally rotated from the
         LUCY_SPACECRAFT frame by +90 degrees about Y axis.

      -  the LUCY_MGA frame is nominally rotated from the
         LUCY_SPACECRAFT frame by +93.5 degrees about Y axis.

      -  the LUCY_LGA frame is nominally rotated from the
         LUCY_SPACECRAFT frame by -170.0 degrees about Y axis.


   The LUCY antenna frames are defined below as fixed-offset frames
   with respect to the spacecraft frame.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_HGA                   = -49020
      FRAME_-49020_NAME                = 'LUCY_HGA'
      FRAME_-49020_CLASS               = 4
      FRAME_-49020_CLASS_ID            = -49020
      FRAME_-49020_CENTER              = -49
      TKFRAME_-49020_SPEC              = 'ANGLES'
      TKFRAME_-49020_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49020_ANGLES            = ( 0.0, 0.0, -90.0 )
      TKFRAME_-49020_AXES              = ( 3, 1, 2 )
      TKFRAME_-49020_UNITS             = 'DEGREES'

      FRAME_LUCY_MGA                   = -49021
      FRAME_-49021_NAME                = 'LUCY_MGA'
      FRAME_-49021_CLASS               = 4
      FRAME_-49021_CLASS_ID            = -49021
      FRAME_-49021_CENTER              = -49
      TKFRAME_-49021_SPEC              = 'ANGLES'
      TKFRAME_-49021_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49021_ANGLES            = ( 0.0, 0.0, -93.5 )
      TKFRAME_-49021_AXES              = ( 3, 1, 2 )
      TKFRAME_-49021_UNITS             = 'DEGREES'

      FRAME_LUCY_LGA                   = -49023
      FRAME_-49023_NAME                = 'LUCY_LGA'
      FRAME_-49023_CLASS               = 4
      FRAME_-49023_CLASS_ID            = -49023
      FRAME_-49023_CENTER              = -49
      TKFRAME_-49023_SPEC              = 'ANGLES'
      TKFRAME_-49023_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49023_ANGLES            = ( 0.0, 0.0, +170.0 )
      TKFRAME_-49023_AXES              = ( 3, 1, 2 )
      TKFRAME_-49023_UNITS             = 'DEGREES'

   \begintext


LUCY Solar Array Frames
-----------------------

   The LUCY solar array frames -- LUCY_SAPY (ID -49071) and LUCY_SAMY
   (ID -49072) -- are defined based on the principal directions from
   [4] as follows:

      -  +Z axis is normal to the array surface at the active cell
         side.

      -  +Y axis is nominally co-aligned with the s/c +Y axis.

      -  +X axis completes the right-hand frame;

      -  the origin of the frame is located at geometric center of the
         array.

   This diagram illustrates the LUCY solar array frames:

      +Zsc view
      ---------
                                       |
                  Cross-track          |
                <------------->        | Nadir
                                       |
                                       v

                                     .---.
              +Zsapy               .'     `.                      +Zsamy
             ^                   .'         `.                   ^
             |                   -----  +Xsc -  HGA              |
             |                   \     ^     /                   |
     +Ysapy  |                   .-----|-----.       +Ysamy      |
       <-----x +Xsapy            |     |     |             <-----x +Xsamy
     ========o==================.|     |     |.==================o=======
        SA+y    ``-..            <-----o+Zzc |\           ..-''    SA-y
                     ``-..  + Ysc   ______   | \     ..-''
                          ``-.   |.'   o  |__   `.-''
                                 `-----------|
                                 || |_| |_| || IPP
                                  |_| `-' |_|

                              LORRI   TES  Ralph

                                                   +Zsc is out of the page.

                                                   +Xsapy and +Xsamy are
                                                        into the page.

                                                 All instrument boresights
                                                         point down.

   As seen on the diagram:

      -  the LUCY_SAPY frame is nominally rotated from the
         LUCY_SPACECRAFT frame by +90.0 degrees about Y axis.

      -  the LUCY_SAMY frame is nominally rotated from the
         LUCY_SPACECRAFT frame by +90.0 degrees about Y axis.


   The LUCY solar array frames are defined below as fixed-offset frames
   with respect to the spacecraft frame.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_SAPY                  = -49071
      FRAME_-49071_NAME                = 'LUCY_SAPY'
      FRAME_-49071_CLASS               = 4
      FRAME_-49071_CLASS_ID            = -49071
      FRAME_-49071_CENTER              = -49
      TKFRAME_-49071_SPEC              = 'ANGLES'
      TKFRAME_-49071_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49071_ANGLES            = ( 0.0, 0.0, -90.0 )
      TKFRAME_-49071_AXES              = ( 3, 1, 2 )
      TKFRAME_-49071_UNITS             = 'DEGREES'

      FRAME_LUCY_SAMY                  = -49072
      FRAME_-49072_NAME                = 'LUCY_SAMY'
      FRAME_-49072_CLASS               = 4
      FRAME_-49072_CLASS_ID            = -49072
      FRAME_-49072_CENTER              = -49
      TKFRAME_-49072_SPEC              = 'ANGLES'
      TKFRAME_-49072_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49072_ANGLES            = ( 0.0, 0.0, -90.0 )
      TKFRAME_-49072_AXES              = ( 3, 1, 2 )
      TKFRAME_-49072_UNITS             = 'DEGREES'

   \begintext


LUCY Sun Sensor Frames
----------------------

   The LUCY sun sensor frames -- LUCY_SUN4A-PY (ID -49080) and
   LUCY_SUN4A-MY (ID -49085) -- are defined in [4] as follows:

      -  +Z axis is along the sun sensor unit boresight.

      -  +X axis is along the s/c -Y axis.

      -  +Y axis completes the right-hand frame.

      -  the origin of the frame is located at the sun sensor unit
         center point between detectors.

   This diagram illustrates the LUCY sun sensor frames:

      -Ysc view
      ---------
                                       ^
                      Nadir            |
                <--------------        | Along-track
                                       |
                                       v

                           Ralph           SA-y
                               __.--..    .
                              |  |  ||    |
                              `--`- '|    |
                                  `--|    |
                               IPP   o    |
                                    /|    |      HGA
                                   /.|    |  .'|.
                                  /-------|-|  | `.
                                 .        | |  |   `
                                 |        | |  |   |
                                 |        | |  |   .
                                 |--------|-|  | .'
                                 |        |  `.|'
                                 |        |  |
                                 |        |  |
                                 | +Zsc   |  |       +Zsun4a-py
                                 |     ^  |  |       +Zsun4a-my
                                 |     |  |  |o----->
                                 `-----|-- --'|
                                    /__| +Xsc |
                                       x----->|
                                   +Ysc   |   v +Ysun4a-py
                                          |     +Ysun4a-my
                                          |
                                          |
                                          |
                                          |
                                          '
                                                     +Ysc is into the page.

                                                   +Xsun4a-py and +Xsun4a-my
                                                      are out of the page.

                                                 All instrument boresights
                                                      point to the left.

   As seen on the diagram:

      -  the LUCY_SUN4A-PY frame is nominally rotated from the
         LUCY_SPACECRAFT frame first by +90.0 degrees about Y axis,
         then by -90.0 degrees about Z axis.

      -  the LUCY_SUN4A-MY frame is nominally rotated from the
         LUCY_SPACECRAFT frame first by +90.0 degrees about Y axis,
         then by -90.0 degrees about Z axis.

   The LUCY sun sensor frames are defined below as fixed-offset frames
   with respect to the spacecraft frame.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_SUN4A-PY              = -49080
      FRAME_-49080_NAME                = 'LUCY_SUN4A-PY'
      FRAME_-49080_CLASS               = 4
      FRAME_-49080_CLASS_ID            = -49080
      FRAME_-49080_CENTER              = -49
      TKFRAME_-49080_SPEC              = 'ANGLES'
      TKFRAME_-49080_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49080_ANGLES            = ( -90.0, 0.0, +90.0 )
      TKFRAME_-49080_AXES              = ( 2, 1, 3 )
      TKFRAME_-49080_UNITS             = 'DEGREES'

      FRAME_LUCY_SUN4A-MY              = -49085
      FRAME_-49085_NAME                = 'LUCY_SUN4A-MY'
      FRAME_-49085_CLASS               = 4
      FRAME_-49085_CLASS_ID            = -49085
      FRAME_-49085_CENTER              = -49
      TKFRAME_-49085_SPEC              = 'ANGLES'
      TKFRAME_-49085_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49085_ANGLES            = ( -90.0, 0.0, +90.0 )
      TKFRAME_-49085_AXES              = ( 2, 1, 3 )
      TKFRAME_-49085_UNITS             = 'DEGREES'

   \begintext


LUCY Star Tracker Frames
------------------------

   The LUCY star tracker optical head (STOH) frames -- LUCY_STOH01 (ID
   -49091) and LUCY_STOH02 (ID -49092) -- are defined in [4] as follows:

      -  +Z axis is along the star tracker boresight.

      -  +X axis is normal to and passes through the reference cube.

      -  +Y axis completes the right-hand frame.

      -  the origin of the frame is located at the star tracker optics
         focal point.

   This diagram illustrates the LUCY star tracker frames:

      -Xsc view
      ---------
                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v

                              LORRI   TES  Ralph
         SA+y                    .-------.__ .                    SA-y
          .......                | o | o . o||                .......
       .-'   |   `-.             |   |   |  ||             .-'   |   `-.
      '             `-.          `----------'`          .-'             `
      .      |         `-.             o  IPP        .-'         |      .
                          \          .---.          /
      .      |         .   \       .'     '.       /   .         |      .
                            \    .-----------.    /
      .      |      .        \   |      * *  |   /        .      |      .
                                     .-'.`.`-.
      .  .   |   .        +Zstoh01 <' .'   `. `> +Zstoh02    .   |   .  .
                                     v       v
      .    . | .     .      +Xstoh02          +Xstoh01   .     . | .    .
       `  .     .  '                                       `  .     .  '
      .- - - o - - - - - - - - | |           | - - - - - - - - - o - - -.
          `     ``-..          | |      +Zzc | |          ..-''     `  .
      .`   . | .     ``-..     | |     ^     | |     ..-''     . | .    .
                          ``-..| |     |     | |..-''
      .  .   |   .             '=`-----|-----'='             .   |   .  .
                              /     /__|__\     \
      .      |      .            <-----x         \        .      |      .
                             +Ysc       +Xsc      \
      .      |         .                           \    .        |      .
                          /                         \
      .      |         .-'                           `-.         |      .
      .             .-'                                 `-.             .
       `-.   |   .-'                                       `-.   |   .-'
          ```````                                             ```````

                                                   +Xsc is into the page.

                                                +Zstoh01 and +Zstoh02 point
                                            approx. 45 degrees above the page.

                                               +Xstoh01 and +Xstoh02 point
                                            approx. 30 degrees above the page.

                                                +Ystoh01 and +Ystoh02 are
                                                         not shown.

                                                 All instrument boresights
                                                    point out of the page.

   As seen on the diagram:

      -  the LUCY_STOH01 frame is nominally rotated from the
         LUCY_SPACECRAFT frame first by -120.0 degrees about Y axis,
         then by -35.0 degrees about X axis, then by -90.0 degrees
         about Z axis,

      -  the LUCY_STOH02 frame is nominally rotated from the
         LUCY_SPACECRAFT frame first by -120.0 degrees about Y axis,
         then by +35.0 degrees about X axis, then by +90.0 degrees
         about Z axis,

   Note that while these rotations are different from those provided in 
   [4], they result in the same STOH frame orientations.

   The LUCY star tracker frames are defined below as fixed-offset frames
   with respect to the spacecraft frame.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_STOH01                = -49091
      FRAME_-49091_NAME                = 'LUCY_STOH01'
      FRAME_-49091_CLASS               = 4
      FRAME_-49091_CLASS_ID            = -49091
      FRAME_-49091_CENTER              = -49
      TKFRAME_-49091_SPEC              = 'ANGLES'
      TKFRAME_-49091_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49091_ANGLES            = ( +120.0, +35.0, +90.0 )
      TKFRAME_-49091_AXES              = ( 2, 1, 3 )
      TKFRAME_-49091_UNITS             = 'DEGREES'

      FRAME_LUCY_STOH02                = -49092
      FRAME_-49092_NAME                = 'LUCY_STOH02'
      FRAME_-49092_CLASS               = 4
      FRAME_-49092_CLASS_ID            = -49092
      FRAME_-49092_CENTER              = -49
      TKFRAME_-49092_SPEC              = 'ANGLES'
      TKFRAME_-49092_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49092_ANGLES            = ( +120.0, -35.0, -90.0 )
      TKFRAME_-49092_AXES              = ( 2, 1, 3 )
      TKFRAME_-49092_UNITS             = 'DEGREES'

   \begintext


LUCY Instrument Pointing Platform (IPP) Frames
----------------------------------------------

   The LUCY IPP frames are defined in [4] as follows:

      -  LUCY_IPP_BP (ID -49501) is the IPP base-plate frame defined as
         a fixed offset frame relative to and is nominally from the s/c
         frame by -90.0 degrees about Y axis. This frame is called
         ``BP'' in [4].

      -  LUCY_IPP_IG (ID -49503) is the IPP inner gimbal frame
         defined as a CK-based frame and rotated by the inner gimbal
         angle about Y relative to the LUCY_IPP_BP frame. This frame
         does not exist in [4].

      -  LUCY_IPP_OG (ID -49505) is the IPP outer gimbal frame
         defined as a CK-based frame and rotated by the outer gimbal
         angle about X relative to the LUCY_IPP_IG frame. This frame
         is called ``AR'' in [4].

      -  LUCY_IPP (ID -49507) is the IPP platform frame defined as a
         fixed offset frame relative to the LUCY_IPP_OG frame and
         nominally rotated from it first by +90.0 degrees about Y axis.
         This frame is called ``IPP'' in [4].

   These diagrams illustrates the LUCY IPP frames for IPP in "zero"
   position:

      -Xsc view
      ---------

                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v

                                        +Zipp
                                        +Xog
                                        +Xig
                                        +Xbp
         SA+y              +Yipp .---  ^  __ .                    SA-y
          .......          +Yog  | o | | . o|| Ralph          .......
       .-'   |   `-.       +Yig  |   | | |  ||             .-'   |   `-.
      '             `-.    +Ybp  `-----|----'` IPP      .-'             `
      .      |         `-.       <-----*             .-'         |      .
                          \          .- +Xipp       /
      .      |         .   \       .'   +Zog       /   .         |      .
                            \    .----- +Zig      /
      .      |      .        \   |      +Zbp     /        .      |      .
                              \  |              /
      .  .   |   .             . |           | .             .   |   .  .
                          .  ' | |-----------| | `  .
      .    . | .     .  '      | |           | |      `  .     . | .    .
       `  .     .  '           | |           | |           `  .     .  '
      .- - - o - - - - - - - - | |           | - - - - - - - - - o - - -.
          `     ``-..          | |      +Zzc | |          ..-''     `  .
      .`   . | .     ``-..     | |     ^     | |     ..-''     . | .    .
                          ``-..| |     |     | |..-''
      .  .   |   .             '=`-----|-----'='             .   |   .  .
                              /     /__|__\     \
      .      |      .            <-----x         \        .      |      .
                             +Ysc       +Xsc      \
      .      |         .                           \    .        |      .
                          /                         \
      .      |         .-'                           `-.         |      .
      .             .-'                                 `-.             .
       `-.   |   .-'                                       `-.   |   .-'
          ```````                                             ```````

                                                 All instrument boresights
                                                    point out of the page.

                                                    +Xsc and +Xipp are
                                                      into the page.

                                                   +Zbp, +Zig, and +Zog
                                                    are out of the page.

      -X IPP view
      -----------

                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v

                     TTCAM1  TTCAM2
                   -------------------------.    .-----------.
                 .'    | o || o |            `-.|   .-------.|  .|
               .'.-----.---||---.-------.       `--.|  .-.  ||.' |
             .'  |     |   ||   |       |         ||| | o | ||   |
             |   |-----|   ||   |  ---  |         |||  `-'  ||   |
             |  .'     `.  ||   |.`   `.|         |||       ||   |
             | |         | ||   ||  o  ||         ||`-------'|   |
             | |    o    | ||   |`.   .'|         ||  Ralph  |   |
             | |         | ||   |  ---  |         ||         |   |
             |  .       .  ||   `------- +Zipp    ||         |   |
             |   `-----'   ||      TES   +Xog     ||         |   |
             |    LORRI    ||            +Xig     ||---------|   |
             |             ||          ^ +Xbp     ||         |   |
             |------------------------ | ------------.       |   |
             `------------------------ | ------------'       `.  |
                                    __|||                      `.|
                                 <-----*|+Xipp
                            +Yipp .--.--'+Zog
                            +Yig  |  |   +Zig
                            +Yog .-----. +Zbp
                            +Ybp        `.
                             .            `.

                                        +Zsc
                                       ^
                                       |
                                       |
                                       |
                                 <-----x
                             +Ysc       +Xsc

                                              All instrument boresights
                                                 are out of the page.

                                                  +Xsc and +Xipp are
                                                    into the page.

                                                 +Zbp, +Zig, and +Zog
                                                  are out of the page.

   The LUCY_IPP_BP and LUCY_IPP frames are defined below as
   fixed-offset frames. The  LUCY_IPP_IG and LUCY_IPP_OG are defined
   below as CK-based frames.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_IPP_BP                = -49501
      FRAME_-49501_NAME                = 'LUCY_IPP_BP'
      FRAME_-49501_CLASS               = 4
      FRAME_-49501_CLASS_ID            = -49501
      FRAME_-49501_CENTER              = -49
      TKFRAME_-49501_SPEC              = 'ANGLES'
      TKFRAME_-49501_RELATIVE          = 'LUCY_SPACECRAFT'
      TKFRAME_-49501_ANGLES            = ( 0.0, 0.0, +90.0 )
      TKFRAME_-49501_AXES              = ( 3, 1, 2 )
      TKFRAME_-49501_UNITS             = 'DEGREES'

      FRAME_LUCY_IPP_IG                = -49503
      FRAME_-49503_NAME                = 'LUCY_IPP_IG'
      FRAME_-49503_CLASS               = 3
      FRAME_-49503_CLASS_ID            = -49503
      FRAME_-49503_CENTER              = -49
      CK_-49503_SCLK                   = -49
      CK_-49503_SPK                    = -49

      FRAME_LUCY_IPP_OG                = -49505
      FRAME_-49505_NAME                = 'LUCY_IPP_OG'
      FRAME_-49505_CLASS               = 3
      FRAME_-49505_CLASS_ID            = -49505
      FRAME_-49505_CENTER              = -49
      CK_-49505_SCLK                   = -49
      CK_-49505_SPK                    = -49

      FRAME_LUCY_IPP                   = -49507
      FRAME_-49507_NAME                = 'LUCY_IPP'
      FRAME_-49507_CLASS               = 4
      FRAME_-49507_CLASS_ID            = -49507
      FRAME_-49507_CENTER              = -49
      TKFRAME_-49507_SPEC              = 'ANGLES'
      TKFRAME_-49507_RELATIVE          = 'LUCY_IPP_OG'
      TKFRAME_-49507_ANGLES            = ( 0.0, 0.0, -90.0 )
      TKFRAME_-49507_AXES              = ( 3, 1, 2 )
      TKFRAME_-49507_UNITS             = 'DEGREES'

   \begintext


LUCY Terminal Tracking Camera (TTCAM) Frames
--------------------------------------------

   The LUCY TTCAM observation frames -- LUCY_TTCAM1 (ID -49510) and
   LUCY_TTCAM2 (ID -49520) -- are defined in [4] as follows:

      -  +Z axis is along the camera boresight; it is nominally along
         the IPP -X axis.

      -  +X axis points towards and is normal to the reference cube
         side; it is nominally along the IPP +Z axis.

      -  +Y axis completes the right-hand frame.

      -  the origin of the frame is located at the camera focal point.

   This diagram illustrates the LUCY TTCAM frames:

      -X IPP view
      -----------

                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v

                  +Yttc1        +Yttc2
                         ^    ^
                         |    |
                         |    |
                   ------|----|------ +Xttc2     .-----------.
                 .'    | o----o->---->       `-.|   .-------.|  .|
               .'.-----.---||- +Xttc1 --.       `--.|  .-.  ||.' |
             .'  |     |   ||           |         ||| | o | ||   |
             |   |-----|   ||   |  ---  |         |||  `-'  ||   |
             |  .'     `.  ||   |.`   `.|         |||       ||   |
             | |         | ||   ||  o  ||         ||`-------'|   |
             | |    o    | ||   |`.   .'|         ||  Ralph  |   |
             | |         | ||   |  ---  |         ||         |   |
             |  .       .  ||   `-------'         ||         |   |
             |   `-----'   ||      TES            ||         |   |
             |    LORRI    ||           +Zipp     ||---------|   |
             |             ||          ^          ||         |   |
             |------------------------ | ------------.       |   |
             `------------------------ | ------------'       `.  |
                                    __|||                      `.|
                                 <-----x|
                            +Yipp .--.--'+Xipp
                                  |  |
                                 .-----.
                               .'       `.
                             .'           `.

                                        +Zsc
                                       ^
                                       |
                                       |
                                       |
                                 <-----x
                             +Ysc       +Xsc

                                              All instrument boresights
                                                 point out of the page.

                                                   +Xsc and +Xipp are
                                                     into the page.

                                                 +Zttc1 and +Zttc2 are
                                                     out of the page.

   As seen on the diagram:

      -  the LUCY_TTCAM1 and LUCY_TTCAM2 frames are nominally rotated
         from the IPP frame first by +90.0 degrees about X axis, then
         by -90.0 degrees about Y axis.

   The LUCY TTCAM observation frames are defined below as fixed-offset
   frames with respect to the IPP frame.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_TTCAM1                = -49510
      FRAME_-49510_NAME                = 'LUCY_TTCAM1'
      FRAME_-49510_CLASS               = 4
      FRAME_-49510_CLASS_ID            = -49510
      FRAME_-49510_CENTER              = -49
      TKFRAME_-49510_SPEC              = 'ANGLES'
      TKFRAME_-49510_RELATIVE          = 'LUCY_IPP'
      TKFRAME_-49510_ANGLES            = ( 0.0, -90.0, +90.0 )
      TKFRAME_-49510_AXES              = ( 3, 1, 2 )
      TKFRAME_-49510_UNITS             = 'DEGREES'

      FRAME_LUCY_TTCAM2                = -49520
      FRAME_-49520_NAME                = 'LUCY_TTCAM2'
      FRAME_-49520_CLASS               = 4
      FRAME_-49520_CLASS_ID            = -49520
      FRAME_-49520_CENTER              = -49
      TKFRAME_-49520_SPEC              = 'ANGLES'
      TKFRAME_-49520_RELATIVE          = 'LUCY_IPP'
      TKFRAME_-49520_ANGLES            = ( 0.0, -90.0, +90.0 )
      TKFRAME_-49520_AXES              = ( 3, 1, 2 )
      TKFRAME_-49520_UNITS             = 'DEGREES'

   \begintext


LUCY Science Instrument Frames
========================================================================

   This section of the file contains the definitions of the LUCY science
   instrument frames.


LUCY RALPH Frames
-----------------

   The LUCY RALPH instrument frame -- LUCY_RALPH (ID -49200) -- is
   defined in [4], labeled ``TDA'', as follows:

      -  +X axis is opposite of the generic instrument boresight at the
         zero scan mirror position; it is nominally along the IPP +X
         axis.

      -  +Y axis is opposite to the radiator normal; it is nominally
         along the IPP +Y axis.

      -  +Z axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   The LUCY RALPH scan mirror frame -- LUCY_RALPH_SCAN (ID -49201) -- is
   defined as follows:

      -  +X axis is opposite of the generic instrument boresight for
         the scan mirror at an articulated position; for the mirror at
         the zero position it is nominally along the IPP +X axis.

      -  +Y axis is opposite to the radiator normal; it is nominally
         along the IPP +Y axis and the mirror articulation axis.

      -  +Z axis completes the right-hand frame.

      -  the origin of the frame is located at the mirror center.

   The LUCY RALPH Linear Etalon Imaging Spectral Array (LEISA) frame --
   LUCY_RALPH_LEISA (ID -49210) -- is defined as follows:

      -  +X axis is opposite of the LEISA boresight (which is through
         pixel 704 in cross-track and pixel 1130 in along-track).

      -  +Y axis is along the LEISA image lines; it is nominally along
         the LUCY_RALPH +Y axis;

      -  +Z axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   The LUCY RALPH LEISA LVF1, LV2, and LVF3 spectral array frames:

      LUCY_RALPH_LEISA_LVF1 (ID -49211),
      LUCY_RALPH_LEISA_LVF2 (ID -49212), and
      LUCY_RALPH_LEISA_LVF3 (ID -49213)

   are defined as follows:

      -  +X axis is opposite of the specific LEISA spectral array
         boresight (array's central pixel).

      -  +Y axis is along the LEISA image lines; it is nominally along
         the LUCY_RALPH +Y axis;

      -  +Z axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   The LUCY RALPH LEISA Channel frames:

      LUCY_RALPH_LEISA_C04 (ID -49240),
      LUCY_RALPH_LEISA_C05 (ID -49241),
      LUCY_RALPH_LEISA_C06 (ID -49242),
      LUCY_RALPH_LEISA_C07 (ID -49243),
      LUCY_RALPH_LEISA_C08 (ID -49244),
      LUCY_RALPH_LEISA_C09 (ID -49245),
      LUCY_RALPH_LEISA_C10 (ID -49246),
      LUCY_RALPH_LEISA_C11 (ID -49247),
      LUCY_RALPH_LEISA_C12 (ID -49248),
      LUCY_RALPH_LEISA_C13 (ID -49249),
      LUCY_RALPH_LEISA_C14 (ID -49250),
      LUCY_RALPH_LEISA_C15 (ID -49251),
      LUCY_RALPH_LEISA_C16 (ID -49252),
      LUCY_RALPH_LEISA_C17 (ID -49253),
      LUCY_RALPH_LEISA_C18 (ID -49254),
      LUCY_RALPH_LEISA_C19 (ID -49255),
      LUCY_RALPH_LEISA_C20 (ID -49256),
      LUCY_RALPH_LEISA_C21 (ID -49257),
      LUCY_RALPH_LEISA_C22 (ID -49258),
      LUCY_RALPH_LEISA_C23 (ID -49259),
      LUCY_RALPH_LEISA_C24 (ID -49260),
      LUCY_RALPH_LEISA_C25 (ID -49261), and
      LUCY_RALPH_LEISA_C26 (ID -49262)

   are defined as follows:

      -  +X axis is opposite of the specific LEISA Channel boresight
         (the channel's central pixel).

      -  +Y axis is along the LEISA image lines; it is nominally along
         the LUCY_RALPH +Y axis;

      -  +Z axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   The LUCY RALPH Solar Calibration Port (SCP) frame --
   LUCY_RALPH_SCP (ID -49220) -- is defined as follows:

      -  +Z axis is along the SCP boresight.

      -  +Y axis is nominally along the LUCY_RALPH +Y axis;

      -  +X axis completes the right-hand frame.

      -  the origin of the frame is located at the SCP focal point.

   The LUCY RALPH Multispectral Visible Imaging Camera (MVIC) frame --
   LUCY_RALPH_MVIC (ID -49230) -- is defined as follows:

      -  +X axis is opposite of the MVIC boresight (which is 
         coaligned with LEISA boresight and is through MVIC pixel 
         2585 cross-track and the center of the MVIC array - between
         bands 3 and 4 - along-track).

      -  +Y axis is along the MVIC image lines; it is nominally along
         the LUCY_RALPH +Y axis;

      -  +Z axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   The LUCY RALPH Time Delay Integration (TDI) PAN, VIOLET, GREEN, 
   ORANGE, PHYLLO, and NIR frames:

      LUCY_RALPH_MVIC_PAN     (ID -49231),
      LUCY_RALPH_MVIC_VIOLET  (ID -49236),
      LUCY_RALPH_MVIC_GREEN   (ID -49235),
      LUCY_RALPH_MVIC_ORANGE  (ID -49234),
      LUCY_RALPH_MVIC_PHYLLO  (ID -49233), and
      LUCY_RALPH_MVIC_NIR     (ID -49232)

   are defined as follows:

      -  +X axis is opposite of the specific MVIC TDI band's boresight
         (which is through the same cross-track pixel 2585 as the MVIC 
         boresight and through the MVIC band's central along-track 
         pixel).

      -  +Y axis is along the MVIC image lines; it is nominally along
         the LUCY_RALPH +Y axis;

      -  +Z axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   The LUCY RALPH radiator frame -- LUCY_RALPH_RAD (ID -49290) -- is
   defined as follows:

      -  +Z axis is along the normal to the radiator surface, pointing
         away from it.

      -  +X axis is opposite of the generic instrument boresight at the
         zero scan mirror position and is co-aligned with the Ralph
         instrument frame +X axis.

      -  +Y axis completes the right-hand frame.

      -  the origin of the frame is located at the center of the 
         radiator outer surface.

   This diagram illustrates the LUCY RALPH instrument and radiator frames 
   (not shown: LEISA and MVIC FT frames that are nominally co-aligned with 
   the RALPH frame, the LEISA spectral array and MVIC TDI Frame frames that
   are small rotational offsets about Y from the RALPH frame, and the
   SCP frame that is shown on a separate diagram):

      -X IPP view
      -----------

                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v
                                                         +Zralph
                     TTCAM1  TTCAM2                     ^
                   -------------------------.    .------|----.
                 .'    | o || o |            `-.|   .---|---.|  .|
               .'.-----.---||---.-------.       `--.|  .|.  ||.' |
             .'  |     |   ||   |       |         <-----x        |
             |   |-----|   ||   |  ---  | +Yralph |||  +Xralph   ^ +Yrad
             |  .'     `.  ||   |.`   `.|         |||            |
             | |         | ||   ||  o  ||         ||`-------'|   |
             | |    o    | ||   |`.   .'|         ||  Ralph  |   |
             | |         | ||   |  ---  |         ||         |   x----->
             |  .       .  ||   `-------'         ||         +Xrad    +Zrad
             |   `-----'   ||      TES            ||         |   |
             |    LORRI    ||           +Zipp     ||---------|   |
             |             ||          ^          ||         |   |
             |------------------------ | ------------.       |   |
             `------------------------ | ------------'       `.  |
                                    __|||                      `.|
                                 <-----x|
                            +Yipp .--.--'+Xipp
                                  |  |
                                 .-----.
                               .'       `.
                             .'           `.

                                        +Zsc
                                       ^
                                       |
                                       |
                                       |
                                 <-----x
                             +Ysc       +Xsc

                                                All instrument boresights
                                                   point out of the page.

                                               +Xsc, +Xipp, and +Xralph are
                                                      into the page.

   This diagram illustrates the LUCY RALPH instrument and SCP frames:

      -Ysc view
      ---------

                                       ^
                      Nadir            |
                <--------------        | Along-track
                                       |
                                       v

                                   +Zralph
                       +Zscp      ^      +Xscp
                            <.    |    .> 
                  38 deg      `.  |  .'+Zipp
                             ___`.|.'^ 
                             `    x----->
                              `--`- '|   +Xralph
                                  `--|      
                               IPP   x----->
                                    /|      +Xipp     HGA
                                   /.|    |  .'|.
                                  /-------|-|  | `.
                                 .        | |  |   `
                                 |        | |  |   |
                                 |        | |  |   .
                                 |--------|-|  | .'
                                 |        |  `.|'
                                 |        |  |
                                 |        |  |
                                 | +Zsc   |  |
                                 |     ^  |  |
                                 |     |  |  |
                                 `-----|--|--'
                                    /__|__|
                                       x----->
                                   +Ysc   |   +Xsc
                                          |
                                          |
                                          |
                                          |
                                          | SA-y
                                          '
                                                   +Ysc, +Yipp, +Yralph, and
                                                    +Yscp are into the page.

                                                  All instrument boresights
                                                       point to the left.

   As seen on the diagrams:

      -  the LUCY_RALPH frame is nominally co-aligned with the LUCY_IPP
         frame.

      -  the LUCY_RALPH_SCAN frame is nominally co-aligned with the
         LUCY_RALPH frame for the scan mirror at the zero position and
         is rotated from it about the +Y axis at an articulated scan 
         mirror position.

      -  the LUCY_RALPH_LEISA frame is nominally co-aligned with the
         LUCY_RALPH_SCAN frame.

      -  the LUCY_RALPH_LEISA_LVF* spectral array frames are nominally
         rotated from the LUCY_RALPH_LEISA frame about Y axis by
         -0.87548 degrees for LVF1, by +0.15814 degrees for LVF2,
         and by +1.34416 degrees for LVF3.

      -  the LUCY_RALPH_LEISA_C* channel frames are nominally rotated 
         from the LUCY_RALPH_LEISA frame about Y axis by:

            +1.92972 degrees for C04,
            +1.78304 degrees for C05,
            +1.63637 degrees for C06,
            +1.48969 degrees for C07,
            +1.34301 degrees for C08,
            +1.19634 degrees for C09,
            +1.04966 degrees for C10,
            +0.90298 degrees for C11,
            +0.75630 degrees for C12,
            +0.60963 degrees for C13,
            +0.46295 degrees for C14,
            +0.31627 degrees for C15,
            +0.16960 degrees for C16,
            +0.02292 degrees for C17,
            -0.12376 degrees for C18,
            -0.27044 degrees for C19,
            -0.41711 degrees for C20,
            -0.56379 degrees for C21,
            -0.71047 degrees for C22,
            -0.85714 degrees for C23,
            -1.00382 degrees for C24,
            -1.15050 degrees for C25, and
            -1.29718 degrees for C26.

      -  the LUCY_RALPH_MVIC frame is nominally co-aligned with the
         LUCY_RALPH_SCAN frame.

      -  the LUCY_RALPH_MVIC_* TDI Frame frames are nominally rotated
         from the LUCY_RALPH_MVIC frame about Y axis by +0.39190
         degrees for PAN, by +0.23514 degrees for VIOLET, by +0.07838
         degrees for GREEN, by -0.07838 degrees for ORANGE, by
         -0.23514 degrees for PHYLLO, and by -0.39190 degrees for
         NIR.

      -  the LUCY_RALPH_RAD frame is nominally rotated from the
         LUCY_RALPH frame by +90.0 degrees about X axis.

   The LUCY RALPH instrument frame is defined below as a fixed-offset
   frame with respect to the IPP frame. The rest of the RALPH frames
   are defined below as fixed-offset frames with respect to the RALPH
   instrument frame.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_RALPH                 = -49200
      FRAME_-49200_NAME                = 'LUCY_RALPH'
      FRAME_-49200_CLASS               = 4
      FRAME_-49200_CLASS_ID            = -49200
      FRAME_-49200_CENTER              = -49
      TKFRAME_-49200_SPEC              = 'ANGLES'
      TKFRAME_-49200_RELATIVE          = 'LUCY_IPP'
      TKFRAME_-49200_ANGLES            = ( 0.0, 0.0, 0.0 )
      TKFRAME_-49200_AXES              = ( 3, 1, 2 )
      TKFRAME_-49200_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_SCAN            = -49201
      FRAME_-49201_NAME                = 'LUCY_RALPH_SCAN'
      FRAME_-49201_CLASS               = 3
      FRAME_-49201_CLASS_ID            = -49201
      FRAME_-49201_CENTER              = -49
      CK_-49201_SCLK                   = -49
      CK_-49201_SPK                    = -49

      FRAME_LUCY_RALPH_LEISA           = -49210
      FRAME_-49210_NAME                = 'LUCY_RALPH_LEISA'
      FRAME_-49210_CLASS               = 4
      FRAME_-49210_CLASS_ID            = -49210
      FRAME_-49210_CENTER              = -49
      TKFRAME_-49210_SPEC              = 'ANGLES'
      TKFRAME_-49210_RELATIVE          = 'LUCY_RALPH_SCAN'
      TKFRAME_-49210_ANGLES            = ( 0.0, 0.0, 0.0 )
      TKFRAME_-49210_AXES              = ( 3, 1, 2 )
      TKFRAME_-49210_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_LVF1      = -49211
      FRAME_-49211_NAME                = 'LUCY_RALPH_LEISA_LVF1'
      FRAME_-49211_CLASS               = 4
      FRAME_-49211_CLASS_ID            = -49211
      FRAME_-49211_CENTER              = -49
      TKFRAME_-49211_SPEC              = 'ANGLES'
      TKFRAME_-49211_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49211_ANGLES            = ( 0.0, 0.0, +0.87548 )
      TKFRAME_-49211_AXES              = ( 3, 1, 2 )
      TKFRAME_-49211_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_LVF2      = -49212
      FRAME_-49212_NAME                = 'LUCY_RALPH_LEISA_LVF2'
      FRAME_-49212_CLASS               = 4
      FRAME_-49212_CLASS_ID            = -49212
      FRAME_-49212_CENTER              = -49
      TKFRAME_-49212_SPEC              = 'ANGLES'
      TKFRAME_-49212_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49212_ANGLES            = ( 0.0, 0.0, -0.15814 )
      TKFRAME_-49212_AXES              = ( 3, 1, 2 )
      TKFRAME_-49212_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_LVF3      = -49213
      FRAME_-49213_NAME                = 'LUCY_RALPH_LEISA_LVF3'
      FRAME_-49213_CLASS               = 4
      FRAME_-49213_CLASS_ID            = -49213
      FRAME_-49213_CENTER              = -49
      TKFRAME_-49213_SPEC              = 'ANGLES'
      TKFRAME_-49213_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49213_ANGLES            = ( 0.0, 0.0, -1.34416 )
      TKFRAME_-49213_AXES              = ( 3, 1, 2 )
      TKFRAME_-49213_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C04       = -49240
      FRAME_-49240_NAME                = 'LUCY_RALPH_LEISA_C04'
      FRAME_-49240_CLASS               = 4
      FRAME_-49240_CLASS_ID            = -49240
      FRAME_-49240_CENTER              = -49
      TKFRAME_-49240_SPEC              = 'ANGLES'
      TKFRAME_-49240_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49240_ANGLES            = ( 0.0, 0.0, -1.92972 )
      TKFRAME_-49240_AXES              = ( 3, 1, 2 )
      TKFRAME_-49240_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C05       = -49241
      FRAME_-49241_NAME                = 'LUCY_RALPH_LEISA_C05'
      FRAME_-49241_CLASS               = 4
      FRAME_-49241_CLASS_ID            = -49241
      FRAME_-49241_CENTER              = -49
      TKFRAME_-49241_SPEC              = 'ANGLES'
      TKFRAME_-49241_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49241_ANGLES            = ( 0.0, 0.0, -1.78304 )
      TKFRAME_-49241_AXES              = ( 3, 1, 2 )
      TKFRAME_-49241_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C06       = -49242
      FRAME_-49242_NAME                = 'LUCY_RALPH_LEISA_C06'
      FRAME_-49242_CLASS               = 4
      FRAME_-49242_CLASS_ID            = -49242
      FRAME_-49242_CENTER              = -49
      TKFRAME_-49242_SPEC              = 'ANGLES'
      TKFRAME_-49242_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49242_ANGLES            = ( 0.0, 0.0, -1.63637 )
      TKFRAME_-49242_AXES              = ( 3, 1, 2 )
      TKFRAME_-49242_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C07       = -49243
      FRAME_-49243_NAME                = 'LUCY_RALPH_LEISA_C07'
      FRAME_-49243_CLASS               = 4
      FRAME_-49243_CLASS_ID            = -49243
      FRAME_-49243_CENTER              = -49
      TKFRAME_-49243_SPEC              = 'ANGLES'
      TKFRAME_-49243_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49243_ANGLES            = ( 0.0, 0.0, -1.48969 )
      TKFRAME_-49243_AXES              = ( 3, 1, 2 )
      TKFRAME_-49243_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C08       = -49244
      FRAME_-49244_NAME                = 'LUCY_RALPH_LEISA_C08'
      FRAME_-49244_CLASS               = 4
      FRAME_-49244_CLASS_ID            = -49244
      FRAME_-49244_CENTER              = -49
      TKFRAME_-49244_SPEC              = 'ANGLES'
      TKFRAME_-49244_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49244_ANGLES            = ( 0.0, 0.0, -1.34301 )
      TKFRAME_-49244_AXES              = ( 3, 1, 2 )
      TKFRAME_-49244_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C09       = -49245
      FRAME_-49245_NAME                = 'LUCY_RALPH_LEISA_C09'
      FRAME_-49245_CLASS               = 4
      FRAME_-49245_CLASS_ID            = -49245
      FRAME_-49245_CENTER              = -49
      TKFRAME_-49245_SPEC              = 'ANGLES'
      TKFRAME_-49245_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49245_ANGLES            = ( 0.0, 0.0, -1.19634 )
      TKFRAME_-49245_AXES              = ( 3, 1, 2 )
      TKFRAME_-49245_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C10       = -49246
      FRAME_-49246_NAME                = 'LUCY_RALPH_LEISA_C10'
      FRAME_-49246_CLASS               = 4
      FRAME_-49246_CLASS_ID            = -49246
      FRAME_-49246_CENTER              = -49
      TKFRAME_-49246_SPEC              = 'ANGLES'
      TKFRAME_-49246_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49246_ANGLES            = ( 0.0, 0.0, -1.04966 )
      TKFRAME_-49246_AXES              = ( 3, 1, 2 )
      TKFRAME_-49246_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C11       = -49247
      FRAME_-49247_NAME                = 'LUCY_RALPH_LEISA_C11'
      FRAME_-49247_CLASS               = 4
      FRAME_-49247_CLASS_ID            = -49247
      FRAME_-49247_CENTER              = -49
      TKFRAME_-49247_SPEC              = 'ANGLES'
      TKFRAME_-49247_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49247_ANGLES            = ( 0.0, 0.0, -0.90298 )
      TKFRAME_-49247_AXES              = ( 3, 1, 2 )
      TKFRAME_-49247_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C12       = -49248
      FRAME_-49248_NAME                = 'LUCY_RALPH_LEISA_C12'
      FRAME_-49248_CLASS               = 4
      FRAME_-49248_CLASS_ID            = -49248
      FRAME_-49248_CENTER              = -49
      TKFRAME_-49248_SPEC              = 'ANGLES'
      TKFRAME_-49248_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49248_ANGLES            = ( 0.0, 0.0, -0.75630 )
      TKFRAME_-49248_AXES              = ( 3, 1, 2 )
      TKFRAME_-49248_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C13       = -49249
      FRAME_-49249_NAME                = 'LUCY_RALPH_LEISA_C13'
      FRAME_-49249_CLASS               = 4
      FRAME_-49249_CLASS_ID            = -49249
      FRAME_-49249_CENTER              = -49
      TKFRAME_-49249_SPEC              = 'ANGLES'
      TKFRAME_-49249_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49249_ANGLES            = ( 0.0, 0.0, -0.60963 )
      TKFRAME_-49249_AXES              = ( 3, 1, 2 )
      TKFRAME_-49249_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C14       = -49250
      FRAME_-49250_NAME                = 'LUCY_RALPH_LEISA_C14'
      FRAME_-49250_CLASS               = 4
      FRAME_-49250_CLASS_ID            = -49250
      FRAME_-49250_CENTER              = -49
      TKFRAME_-49250_SPEC              = 'ANGLES'
      TKFRAME_-49250_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49250_ANGLES            = ( 0.0, 0.0, -0.46295 )
      TKFRAME_-49250_AXES              = ( 3, 1, 2 )
      TKFRAME_-49250_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C15       = -49251
      FRAME_-49251_NAME                = 'LUCY_RALPH_LEISA_C15'
      FRAME_-49251_CLASS               = 4
      FRAME_-49251_CLASS_ID            = -49251
      FRAME_-49251_CENTER              = -49
      TKFRAME_-49251_SPEC              = 'ANGLES'
      TKFRAME_-49251_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49251_ANGLES            = ( 0.0, 0.0, -0.31627 )
      TKFRAME_-49251_AXES              = ( 3, 1, 2 )
      TKFRAME_-49251_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C16       = -49252
      FRAME_-49252_NAME                = 'LUCY_RALPH_LEISA_C16'
      FRAME_-49252_CLASS               = 4
      FRAME_-49252_CLASS_ID            = -49252
      FRAME_-49252_CENTER              = -49
      TKFRAME_-49252_SPEC              = 'ANGLES'
      TKFRAME_-49252_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49252_ANGLES            = ( 0.0, 0.0, -0.16960 )
      TKFRAME_-49252_AXES              = ( 3, 1, 2 )
      TKFRAME_-49252_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C17       = -49253
      FRAME_-49253_NAME                = 'LUCY_RALPH_LEISA_C17'
      FRAME_-49253_CLASS               = 4
      FRAME_-49253_CLASS_ID            = -49253
      FRAME_-49253_CENTER              = -49
      TKFRAME_-49253_SPEC              = 'ANGLES'
      TKFRAME_-49253_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49253_ANGLES            = ( 0.0, 0.0, -0.02292 )
      TKFRAME_-49253_AXES              = ( 3, 1, 2 )
      TKFRAME_-49253_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C18       = -49254
      FRAME_-49254_NAME                = 'LUCY_RALPH_LEISA_C18'
      FRAME_-49254_CLASS               = 4
      FRAME_-49254_CLASS_ID            = -49254
      FRAME_-49254_CENTER              = -49
      TKFRAME_-49254_SPEC              = 'ANGLES'
      TKFRAME_-49254_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49254_ANGLES            = ( 0.0, 0.0, +0.12376 )
      TKFRAME_-49254_AXES              = ( 3, 1, 2 )
      TKFRAME_-49254_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C19       = -49255
      FRAME_-49255_NAME                = 'LUCY_RALPH_LEISA_C19'
      FRAME_-49255_CLASS               = 4
      FRAME_-49255_CLASS_ID            = -49255
      FRAME_-49255_CENTER              = -49
      TKFRAME_-49255_SPEC              = 'ANGLES'
      TKFRAME_-49255_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49255_ANGLES            = ( 0.0, 0.0, +0.27044 )
      TKFRAME_-49255_AXES              = ( 3, 1, 2 )
      TKFRAME_-49255_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C20       = -49256
      FRAME_-49256_NAME                = 'LUCY_RALPH_LEISA_C20'
      FRAME_-49256_CLASS               = 4
      FRAME_-49256_CLASS_ID            = -49256
      FRAME_-49256_CENTER              = -49
      TKFRAME_-49256_SPEC              = 'ANGLES'
      TKFRAME_-49256_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49256_ANGLES            = ( 0.0, 0.0, +0.41711 )
      TKFRAME_-49256_AXES              = ( 3, 1, 2 )
      TKFRAME_-49256_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C21       = -49257
      FRAME_-49257_NAME                = 'LUCY_RALPH_LEISA_C21'
      FRAME_-49257_CLASS               = 4
      FRAME_-49257_CLASS_ID            = -49257
      FRAME_-49257_CENTER              = -49
      TKFRAME_-49257_SPEC              = 'ANGLES'
      TKFRAME_-49257_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49257_ANGLES            = ( 0.0, 0.0, +0.56379 )
      TKFRAME_-49257_AXES              = ( 3, 1, 2 )
      TKFRAME_-49257_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C22       = -49258
      FRAME_-49258_NAME                = 'LUCY_RALPH_LEISA_C22'
      FRAME_-49258_CLASS               = 4
      FRAME_-49258_CLASS_ID            = -49258
      FRAME_-49258_CENTER              = -49
      TKFRAME_-49258_SPEC              = 'ANGLES'
      TKFRAME_-49258_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49258_ANGLES            = ( 0.0, 0.0, +0.71047 )
      TKFRAME_-49258_AXES              = ( 3, 1, 2 )
      TKFRAME_-49258_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C23       = -49259
      FRAME_-49259_NAME                = 'LUCY_RALPH_LEISA_C23'
      FRAME_-49259_CLASS               = 4
      FRAME_-49259_CLASS_ID            = -49259
      FRAME_-49259_CENTER              = -49
      TKFRAME_-49259_SPEC              = 'ANGLES'
      TKFRAME_-49259_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49259_ANGLES            = ( 0.0, 0.0, +0.85714 )
      TKFRAME_-49259_AXES              = ( 3, 1, 2 )
      TKFRAME_-49259_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C24       = -49260
      FRAME_-49260_NAME                = 'LUCY_RALPH_LEISA_C24'
      FRAME_-49260_CLASS               = 4
      FRAME_-49260_CLASS_ID            = -49260
      FRAME_-49260_CENTER              = -49
      TKFRAME_-49260_SPEC              = 'ANGLES'
      TKFRAME_-49260_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49260_ANGLES            = ( 0.0, 0.0, +1.00382 )
      TKFRAME_-49260_AXES              = ( 3, 1, 2 )
      TKFRAME_-49260_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C25       = -49261
      FRAME_-49261_NAME                = 'LUCY_RALPH_LEISA_C25'
      FRAME_-49261_CLASS               = 4
      FRAME_-49261_CLASS_ID            = -49261
      FRAME_-49261_CENTER              = -49
      TKFRAME_-49261_SPEC              = 'ANGLES'
      TKFRAME_-49261_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49261_ANGLES            = ( 0.0, 0.0, +1.15050 )
      TKFRAME_-49261_AXES              = ( 3, 1, 2 )
      TKFRAME_-49261_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_LEISA_C26       = -49262
      FRAME_-49262_NAME                = 'LUCY_RALPH_LEISA_C26'
      FRAME_-49262_CLASS               = 4
      FRAME_-49262_CLASS_ID            = -49262
      FRAME_-49262_CENTER              = -49
      TKFRAME_-49262_SPEC              = 'ANGLES'
      TKFRAME_-49262_RELATIVE          = 'LUCY_RALPH_LEISA'
      TKFRAME_-49262_ANGLES            = ( 0.0, 0.0, +1.29718 )
      TKFRAME_-49262_AXES              = ( 3, 1, 2 )
      TKFRAME_-49262_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_SCP             = -49220
      FRAME_-49220_NAME                = 'LUCY_RALPH_SCP'
      FRAME_-49220_CLASS               = 4
      FRAME_-49220_CLASS_ID            = -49220
      FRAME_-49220_CENTER              = -49
      TKFRAME_-49220_SPEC              = 'ANGLES'
      TKFRAME_-49220_RELATIVE          = 'LUCY_RALPH'
      TKFRAME_-49220_ANGLES            = ( 0.0, 0.0, +52.0 )
      TKFRAME_-49220_AXES              = ( 3, 1, 2 )
      TKFRAME_-49220_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_MVIC            = -49230
      FRAME_-49230_NAME                = 'LUCY_RALPH_MVIC'
      FRAME_-49230_CLASS               = 4
      FRAME_-49230_CLASS_ID            = -49230
      FRAME_-49230_CENTER              = -49
      TKFRAME_-49230_SPEC              = 'ANGLES'
      TKFRAME_-49230_RELATIVE          = 'LUCY_RALPH_SCAN'
      TKFRAME_-49230_ANGLES            = ( 0.0, 0.0, 0.0 )
      TKFRAME_-49230_AXES              = ( 3, 1, 2 )
      TKFRAME_-49230_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_MVIC_PAN        = -49231
      FRAME_-49231_NAME                = 'LUCY_RALPH_MVIC_PAN'
      FRAME_-49231_CLASS               = 4
      FRAME_-49231_CLASS_ID            = -49231
      FRAME_-49231_CENTER              = -49
      TKFRAME_-49231_SPEC              = 'ANGLES'
      TKFRAME_-49231_RELATIVE          = 'LUCY_RALPH_MVIC'
      TKFRAME_-49231_ANGLES            = ( 0.0, 0.0, -0.39190 )
      TKFRAME_-49231_AXES              = ( 3, 1, 2 )
      TKFRAME_-49231_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_MVIC_VIOLET     = -49236
      FRAME_-49236_NAME                = 'LUCY_RALPH_MVIC_VIOLET'
      FRAME_-49236_CLASS               = 4
      FRAME_-49236_CLASS_ID            = -49236
      FRAME_-49236_CENTER              = -49
      TKFRAME_-49236_SPEC              = 'ANGLES'
      TKFRAME_-49236_RELATIVE          = 'LUCY_RALPH_MVIC'
      TKFRAME_-49236_ANGLES            = ( 0.0, 0.0, -0.23514 )
      TKFRAME_-49236_AXES              = ( 3, 1, 2 )
      TKFRAME_-49236_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_MVIC_GREEN      = -49235
      FRAME_-49235_NAME                = 'LUCY_RALPH_MVIC_GREEN'
      FRAME_-49235_CLASS               = 4
      FRAME_-49235_CLASS_ID            = -49235
      FRAME_-49235_CENTER              = -49
      TKFRAME_-49235_SPEC              = 'ANGLES'
      TKFRAME_-49235_RELATIVE          = 'LUCY_RALPH_MVIC'
      TKFRAME_-49235_ANGLES            = ( 0.0, 0.0, -0.07838 )
      TKFRAME_-49235_AXES              = ( 3, 1, 2 )
      TKFRAME_-49235_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_MVIC_ORANGE     = -49234
      FRAME_-49234_NAME                = 'LUCY_RALPH_MVIC_ORANGE'
      FRAME_-49234_CLASS               = 4
      FRAME_-49234_CLASS_ID            = -49234
      FRAME_-49234_CENTER              = -49
      TKFRAME_-49234_SPEC              = 'ANGLES'
      TKFRAME_-49234_RELATIVE          = 'LUCY_RALPH_MVIC'
      TKFRAME_-49234_ANGLES            = ( 0.0, 0.0, +0.07838 )
      TKFRAME_-49234_AXES              = ( 3, 1, 2 )
      TKFRAME_-49234_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_MVIC_PHYLLO     = -49233
      FRAME_-49233_NAME                = 'LUCY_RALPH_MVIC_PHYLLO'
      FRAME_-49233_CLASS               = 4
      FRAME_-49233_CLASS_ID            = -49233
      FRAME_-49233_CENTER              = -49
      TKFRAME_-49233_SPEC              = 'ANGLES'
      TKFRAME_-49233_RELATIVE          = 'LUCY_RALPH_MVIC'
      TKFRAME_-49233_ANGLES            = ( 0.0, 0.0, +0.23514 )
      TKFRAME_-49233_AXES              = ( 3, 1, 2 )
      TKFRAME_-49233_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_MVIC_NIR        = -49232
      FRAME_-49232_NAME                = 'LUCY_RALPH_MVIC_NIR'
      FRAME_-49232_CLASS               = 4
      FRAME_-49232_CLASS_ID            = -49232
      FRAME_-49232_CENTER              = -49
      TKFRAME_-49232_SPEC              = 'ANGLES'
      TKFRAME_-49232_RELATIVE          = 'LUCY_RALPH_MVIC'
      TKFRAME_-49232_ANGLES            = ( 0.0, 0.0, +0.39190 )
      TKFRAME_-49232_AXES              = ( 3, 1, 2 )
      TKFRAME_-49232_UNITS             = 'DEGREES'

      FRAME_LUCY_RALPH_RAD             = -49290
      FRAME_-49290_NAME                = 'LUCY_RALPH_RAD'
      FRAME_-49290_CLASS               = 4
      FRAME_-49290_CLASS_ID            = -49290
      FRAME_-49290_CENTER              = -49
      TKFRAME_-49290_SPEC              = 'ANGLES'
      TKFRAME_-49290_RELATIVE          = 'LUCY_RALPH'
      TKFRAME_-49290_ANGLES            = ( 0.0, 0.0, -90.0 )
      TKFRAME_-49290_AXES              = ( 3, 2, 1 )
      TKFRAME_-49290_UNITS             = 'DEGREES'

   \begintext


LUCY LORRI Frames
-----------------

   The LUCY LORRI mechanical frame -- LUCY_LORRI_MECH (ID -49309) -- is
   defined in [4], labeled ``LORRI local'',  as follows:

      -  +X axis is in the direction opposite of the instrument boresight;
         it is nominally along the IPP +X axis.

      -  +Z axis points away from the FPU side; it is nominally along
         the IPP -Z axis.

      -  +Y axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   The LUCY LORRI instrument frame -- LUCY_LORRI (ID -49300) -- is
   defined consistent with the New Horizons LORRI frame from [8] as
   follows:

      -  +Z axis is opposite of the instrument boresight; it is
         nominally along the IPP +X axis.

      -  +Y axis points away from the FPU side and is in the direction
         of increasing rows; it is nominally along the IPP -Z axis.

      -  +X axis completes the right-hand frame and is in the direction
         of increasing columns.

      -  the origin of the frame is located at the instrument focal
         point.

   Additionally, the LORRI binning modes (1X1 and 4X4) frames --
   LUCY_LORRI_1X1 (ID -49301) and LUCY_LORRI_4X4 (ID -49302) -- are
   defined to be co-aligned with the LUCY_LORRI frame.

   This diagram illustrates the LUCY LORRI frames:

      -X IPP view
      -----------

                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v

                     TTCAM1  TTCAM2
                   -------------------------.    .-----------.
                 .'    | o || o |            `-.|   .-------.|  .|
               .'.-----.---||---.-------.       `--.|  .-.  ||.' |
             .'  |     |   ||   |       |         ||| | o | ||   |
             |   |-----|   ||   |  ---  |         |||  `-'  ||   |
             |  .'     `.  ||   |.`   `.|         |||       ||   |
             | |         |          o  ||         ||`-------'|   |
             | |    x-----> +Ylmech   .'|         ||  Ralph  |   |
             | |    |    |  +Xlorri --  |         ||         |   |
             |  .   |   .         ------'         ||         |   |
             |   `--|--'   ||      TES            ||         |   |
             |      v                   +Zipp     ||---------|   |
             |       +Zlmech           ^          ||         |   |
             |-----  +Ylorri   ------- | ------------.       |   |
             `------------------------ | ------------'       `.  |
                                    __|||                      `.|
                                 <-----x|
                            +Yipp .--.--'+Xipp
                                  |  |
                                 .-----.
                               .'       `.
                             .'           `.

                                        +Zsc
                                       ^
                                       |
                                       |
                                       |
                                 <-----x
                             +Ysc       +Xsc


                                              All instrument boresights
                                                 point out of the page.

                                               +Xsc, +Xipp, and +Xlmech
                                               +Zlorri are into the page.

   As seen on the diagram:

      -  the LUCY_LORRI_MECH frame is nominally rotated from the
         LUCY_IPP frame by 180 degrees about X axis.

      -  the LUCY_LORRI frame is nominally rotated from the LORRI
         mechanical frame first by +90.0 degrees about Y axis, then by
         +90.0 degrees about Z axis.

   The LUCY LORRI mechanical frame is defined below as a fixed-offset
   frame with respect to the IPP frame. The LUCY LORRI instrument
   frame is defined below as a fixed-offset frame with respect to the
   LORRI mechanical frame. The LORRI binning modes frames are defined
   below as fixed-offset frames with respect to the LORRI instrument
   frame.

   The angles in the definitions of the fixed offset frames below are
   the opposites of the rotations described above because the rotations
   in the definitions are from the structure frames to the base frames.

   \begindata

      FRAME_LUCY_LORRI_MECH            = -49309
      FRAME_-49309_NAME                = 'LUCY_LORRI_MECH'
      FRAME_-49309_CLASS               = 4
      FRAME_-49309_CLASS_ID            = -49309
      FRAME_-49309_CENTER              = -49
      TKFRAME_-49309_SPEC              = 'ANGLES'
      TKFRAME_-49309_RELATIVE          = 'LUCY_IPP'
      TKFRAME_-49309_ANGLES            = ( 0.0, 180.0, 0.0 )
      TKFRAME_-49309_AXES              = ( 3, 1, 2 )
      TKFRAME_-49309_UNITS             = 'DEGREES'

      FRAME_LUCY_LORRI                 = -49300
      FRAME_-49300_NAME                = 'LUCY_LORRI'
      FRAME_-49300_CLASS               = 4
      FRAME_-49300_CLASS_ID            = -49300
      FRAME_-49300_CENTER              = -49
      TKFRAME_-49300_SPEC              = 'ANGLES'
      TKFRAME_-49300_RELATIVE          = 'LUCY_LORRI_MECH'
      TKFRAME_-49300_ANGLES            = ( -90.0, 0.0, -90.0 )
      TKFRAME_-49300_AXES              = ( 2, 1, 3 )
      TKFRAME_-49300_UNITS             = 'DEGREES'

      FRAME_LUCY_LORRI_1X1             = -49301
      FRAME_-49301_NAME                = 'LUCY_LORRI_1X1'
      FRAME_-49301_CLASS               = 4
      FRAME_-49301_CLASS_ID            = -49301
      FRAME_-49301_CENTER              = -49
      TKFRAME_-49301_SPEC              = 'ANGLES'
      TKFRAME_-49301_RELATIVE          = 'LUCY_LORRI'
      TKFRAME_-49301_ANGLES            = ( 0.0, 0.0, 0.0 )
      TKFRAME_-49301_AXES              = ( 3, 1, 2 )
      TKFRAME_-49301_UNITS             = 'DEGREES'

      FRAME_LUCY_LORRI_4X4             = -49302
      FRAME_-49302_NAME                = 'LUCY_LORRI_4X4'
      FRAME_-49302_CLASS               = 4
      FRAME_-49302_CLASS_ID            = -49302
      FRAME_-49302_CENTER              = -49
      TKFRAME_-49302_SPEC              = 'ANGLES'
      TKFRAME_-49302_RELATIVE          = 'LUCY_LORRI'
      TKFRAME_-49302_ANGLES            = ( 0.0, 0.0, 0.0 )
      TKFRAME_-49302_AXES              = ( 3, 1, 2 )
      TKFRAME_-49302_UNITS             = 'DEGREES'

   \begintext


LUCY TES Frames
---------------

   The LUCY TES instrument frame -- LUCY_TES (ID -49400) -- is defined
   as follows:

      -  +Z axis is in the direction opposite of the instrument boresight;
         it is nominally along the IPP +X axis.

      -  +Y axis points towards the connector side; it is nominally along
         the IPP +Y axis.

      -  +X axis completes the right-hand frame.

      -  the origin of the frame is located at the instrument focal
         point.

   This diagram illustrates the LUCY TES instrument frame:

      -X IPP view
      -----------

                                       ^
                  Cross-track          |
                <------------->        | Along-track
                                       |
                                       v

                     TTCAM1  TTCAM2
                   -------------------------.    .-----------.
                 .'    | o || o |            `-.|   .-------.|  .|
               .'.-----.---||---.-------.       `--.|  .-.  ||.' |
             .'  |     |   ||   |       |         ||| | o | ||   |
             |   |-----|   ||   |  ---  |         |||  `-'  ||   |
             |  .'     `.  |    |.`  +Ztes        |||       ||   |
             | |         |    <-----x  ||         ||`-------'|   |
             | |    o     +Ytes |`. | .'|         ||  Ralph  |   |
             | |         |      |  -|-  |         ||         |   |
             |  .       .       `---|---'         ||         |   |
             |   `-----'   |        v             ||         |   |
             |    LORRI    |    +Xes    +Zipp     ||---------|   |
             |             |           ^          ||         |   |
             |------------------------ | ------------.       |   |
             `------------------------ | ------------'       `.  |
                                    __|||                      `.|
                                 <-----x|
                            +Yipp .--.--'+Xipp
                                  |  |
                                 .-----.
                               .'       `.
                             .'           `.

                                        +Zsc
                                       ^
                                       |
                                       |
                                       |
                                 <-----x
                             +Ysc       +Xsc

                                              All instrument boresights
                                                point out of the page.

                                             +Xsc, +Xipp, and +Ztes are
                                                    into the page.

   As seen on the diagram:

      -  the LUCY_TES frame is nominally rotated from the LUCY_IPP
         frame by +90 degrees about Y axis.

   The LUCY TES instrument frame is defined below as a fixed-offset
   frame with respect to the IPP frame.

   The angles in the definition of the fixed offset frame below are
   the opposites of the rotations described above because the rotations
   in the definition are from the structure frame to the base frame.

   \begindata

      FRAME_LUCY_TES                   = -49400
      FRAME_-49400_NAME                = 'LUCY_TES'
      FRAME_-49400_CLASS               = 4
      FRAME_-49400_CLASS_ID            = -49400
      FRAME_-49400_CENTER              = -49
      TKFRAME_-49400_SPEC              = 'ANGLES'
      TKFRAME_-49400_RELATIVE          = 'LUCY_IPP'
      TKFRAME_-49400_ANGLES            = ( 0.0, 0.0, -90.0 )
      TKFRAME_-49400_AXES              = ( 3, 1, 2 )
      TKFRAME_-49400_UNITS             = 'DEGREES'

   \begintext


LUCY Mission NAIF Name-ID Mappings -- Definition Section
========================================================================


LUCY Target Asteroid Name-ID Mappings
-------------------------------------

   This table summarizes LUCY target asteroid name-ID mappings:

      Name                       ID         Synonyms
      -------------------------  ---------  -------------------------------
      DONALDJOHANSON             20052246   52246 DONALDJOHANSON (1981 EQ5)
                                            52246 DONALDJOHANSON

      EURYBATES_BARYCENTER       20003548

      EURYBATES                  920003548  3548 EURYBATES (1973 SO)
                                            3548 EURYBATES

      QUETA                      120003548

      POLYMELE                   20015094   15094 POLYMELE (1999 WB2)
                                            15094 POLYMELE

      LEUCUS                     20011351   11351 LEUCUS (1997 TS25)
                                            11351 LEUCUS

      ORUS                       20021900   21900 ORUS (1999 VQ10)
                                            21900 ORUS

      PATROCLUS_BARYCENTER       20000617

      PATROCLUS                  920000617  617 PATROCLUS (A906 UL)
                                            617 PATROCLUS

      MENOETIUS                  120000617  


   Note: all target asteroid NAIF ID codes are set based on the
   extended asteroid NAIF ID scheme s2x,xxx,xxx, where [s] is the
   asteroid satellite number (1-8 for satellites, 9 for the primary
   asteroid, omitted for the asteroid system barycenter), and
   [x,xxx,xxx] is the IAU number of the system barycenter.
                                            
   Name-ID Mapping keywords:

   \begindata

      NAIF_BODY_NAME                  += ( '52246 DONALDJOHANSON (1981 EQ5)' )
      NAIF_BODY_CODE                  += ( 20052246  )
   
      NAIF_BODY_NAME                  += ( '52246 DONALDJOHANSON' )
      NAIF_BODY_CODE                  += ( 20052246 )
    
      NAIF_BODY_NAME                  += ( 'DONALDJOHANSON' )
      NAIF_BODY_CODE                  += ( 20052246 )
   
      NAIF_BODY_NAME                  += ( 'EURYBATES_BARYCENTER' )
      NAIF_BODY_CODE                  += ( 20003548 )

      NAIF_BODY_NAME                  += ( '3548 EURYBATES (1973 SO)' )
      NAIF_BODY_CODE                  += ( 920003548 )
    
      NAIF_BODY_NAME                  += ( '3548 EURYBATES' )
      NAIF_BODY_CODE                  += ( 920003548 )
    
      NAIF_BODY_NAME                  += ( 'EURYBATES' )
      NAIF_BODY_CODE                  += ( 920003548 )
    
      NAIF_BODY_NAME                  += ( 'QUETA' )
      NAIF_BODY_CODE                  += ( 120003548 )

      NAIF_BODY_NAME                  += ( '15094 POLYMELE (1999 WB2)' )
      NAIF_BODY_CODE                  += ( 20015094 )
    
      NAIF_BODY_NAME                  += ( '15094 POLYMELE' )
      NAIF_BODY_CODE                  += ( 20015094 )
    
      NAIF_BODY_NAME                  += ( 'POLYMELE' )
      NAIF_BODY_CODE                  += ( 20015094 )

      NAIF_BODY_NAME                  += ( '11351 LEUCUS (1997 TS25)' )
      NAIF_BODY_CODE                  += ( 20011351 )
    
      NAIF_BODY_NAME                  += ( '11351 LEUCUS' )
      NAIF_BODY_CODE                  += ( 20011351 )
    
      NAIF_BODY_NAME                  += ( 'LEUCUS' )
      NAIF_BODY_CODE                  += ( 20011351 )

      NAIF_BODY_NAME                  += ( '21900 ORUS (1999 VQ10)' )
      NAIF_BODY_CODE                  += ( 20021900 )
  
      NAIF_BODY_NAME                  += ( '21900 ORUS' )
      NAIF_BODY_CODE                  += ( 20021900 )
  
      NAIF_BODY_NAME                  += ( 'ORUS' )
      NAIF_BODY_CODE                  += ( 20021900 )

      NAIF_BODY_NAME                  += ( 'PATROCLUS_BARYCENTER' )
      NAIF_BODY_CODE                  += ( 20000617 )

      NAIF_BODY_NAME                  += ( '617 PATROCLUS (A906 UL)' )
      NAIF_BODY_CODE                  += ( 920000617 )
    
      NAIF_BODY_NAME                  += ( '617 PATROCLUS' )
      NAIF_BODY_CODE                  += ( 920000617 )
    
      NAIF_BODY_NAME                  += ( 'PATROCLUS' )
      NAIF_BODY_CODE                  += ( 920000617 )

      NAIF_BODY_NAME                  += ( 'MENOETIUS' )
      NAIF_BODY_CODE                  += ( 120000617  )

   \begintext


LUCY Spacecraft Name-ID Mappings
-----------------------------------

   This table summarizes LUCY Spacecraft name-ID mappings:

      Name                       ID
      -------------------------  -------
      LUCY                       -49

   Name-ID Mapping keywords:

   \begindata

      NAIF_BODY_NAME                  += ( 'LUCY' )
      NAIF_BODY_CODE                  += ( -49 )

   \begintext


LUCY Spacecraft Structures Name-ID Mappings
-------------------------------------------

   This table summarizes LUCY Spacecraft Structure name-ID mappings:

      Name                       ID
      -------------------------  -------
      LUCY_SPACECRAFT            -49000

      LUCY_SMRF_ORIGIN           -49001

      LUCY_HGA                   -49020
      LUCY_MGA                   -49021
      LUCY_LGA                   -49023

      LUCY_SAPY                  -49071
      LUCY_SAMY                  -49072

      LUCY_SUN4A-PY              -49080
      LUCY_SUN4A-MY              -49085

      LUCY_STOH01                -49091
      LUCY_STOH02                -49092

      LUCY_IPP                   -49507

      LUCY_TTCAM1                -49510
      LUCY_TTCAM2                -49520

   Name-ID Mapping keywords:

   \begindata

      NAIF_BODY_NAME                  += ( 'LUCY_SPACECRAFT' )
      NAIF_BODY_CODE                  += ( -49000 )

      NAIF_BODY_NAME                  += ( 'LUCY_SMRF_ORIGIN' )
      NAIF_BODY_CODE                  += ( -49001 )

      NAIF_BODY_NAME                  += ( 'LUCY_HGA' )
      NAIF_BODY_CODE                  += ( -49020 )

      NAIF_BODY_NAME                  += ( 'LUCY_MGA' )
      NAIF_BODY_CODE                  += ( -49021 )

      NAIF_BODY_NAME                  += ( 'LUCY_LGA' )
      NAIF_BODY_CODE                  += ( -49023 )

      NAIF_BODY_NAME                  += ( 'LUCY_SAPY' )
      NAIF_BODY_CODE                  += ( -49071 )

      NAIF_BODY_NAME                  += ( 'LUCY_SAMY' )
      NAIF_BODY_CODE                  += ( -49072 )

      NAIF_BODY_NAME                  += ( 'LUCY_SUN4A-PY' )
      NAIF_BODY_CODE                  += ( -49080 )

      NAIF_BODY_NAME                  += ( 'LUCY_SUN4A-MY' )
      NAIF_BODY_CODE                  += ( -49085 )

      NAIF_BODY_NAME                  += ( 'LUCY_STOH01' )
      NAIF_BODY_CODE                  += ( -49091 )

      NAIF_BODY_NAME                  += ( 'LUCY_STOH02' )
      NAIF_BODY_CODE                  += ( -49092 )

      NAIF_BODY_NAME                  += ( 'LUCY_IPP' )
      NAIF_BODY_CODE                  += ( -49507 )

      NAIF_BODY_NAME                  += ( 'LUCY_TTCAM1' )
      NAIF_BODY_CODE                  += ( -49510 )

      NAIF_BODY_NAME                  += ( 'LUCY_TTCAM2' )
      NAIF_BODY_CODE                  += ( -49520 )

   \begintext


LUCY Instrument Name-ID Mappings
--------------------------------

   This table summarizes LUCY Instrument name-ID mappings:

      Name                       ID
      -------------------------  -------
      LUCY_RALPH                 -49200
      LUCY_RALPH_LEISA           -49210
      LUCY_RALPH_LEISA_LVF1      -49211
      LUCY_RALPH_LEISA_LVF2      -49212
      LUCY_RALPH_LEISA_LVF3      -49213
      LUCY_RALPH_SCP             -49220
      LUCY_RALPH_MVIC            -49230
      LUCY_RALPH_MVIC_PAN        -49231
      LUCY_RALPH_MVIC_NIR        -49232
      LUCY_RALPH_MVIC_PHYLLO     -49233
      LUCY_RALPH_MVIC_ORANGE     -49234
      LUCY_RALPH_MVIC_GREEN      -49235
      LUCY_RALPH_MVIC_VIOLET     -49236
      LUCY_RALPH_LEISA_C04       -49240
      LUCY_RALPH_LEISA_C05       -49241
      LUCY_RALPH_LEISA_C06       -49242
      LUCY_RALPH_LEISA_C07       -49243
      LUCY_RALPH_LEISA_C08       -49244
      LUCY_RALPH_LEISA_C09       -49245
      LUCY_RALPH_LEISA_C10       -49246
      LUCY_RALPH_LEISA_C11       -49247
      LUCY_RALPH_LEISA_C12       -49248
      LUCY_RALPH_LEISA_C13       -49249
      LUCY_RALPH_LEISA_C14       -49250
      LUCY_RALPH_LEISA_C15       -49251
      LUCY_RALPH_LEISA_C16       -49252
      LUCY_RALPH_LEISA_C17       -49253
      LUCY_RALPH_LEISA_C18       -49254
      LUCY_RALPH_LEISA_C19       -49255
      LUCY_RALPH_LEISA_C20       -49256
      LUCY_RALPH_LEISA_C21       -49257
      LUCY_RALPH_LEISA_C22       -49258
      LUCY_RALPH_LEISA_C23       -49259
      LUCY_RALPH_LEISA_C24       -49260
      LUCY_RALPH_LEISA_C25       -49261
      LUCY_RALPH_LEISA_C26       -49262
      LUCY_RALPH_RAD             -49290
      LUCY_RALPH_SUNKOZ          -49299

      LUCY_LORRI                 -49300
      LUCY_LORRI_1X1             -49301
      LUCY_LORRI_4X4             -49302
      LUCY_LORRI_SUNKOZ          -49399

      LUCY_TES                   -49400
      LUCY_TES_85                -49401
      LUCY_TES_50                -49402
      LUCY_TES_SUNKOZ            -49499

   Name-ID Mapping keywords:

   \begindata

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH' )
      NAIF_BODY_CODE                  += ( -49200 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA' )
      NAIF_BODY_CODE                  += ( -49210 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_LVF1' )
      NAIF_BODY_CODE                  += ( -49211 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_LVF2' )
      NAIF_BODY_CODE                  += ( -49212 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_LVF3' )
      NAIF_BODY_CODE                  += ( -49213 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_SCP' )
      NAIF_BODY_CODE                  += ( -49220 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_MVIC' )
      NAIF_BODY_CODE                  += ( -49230 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_MVIC_PAN' )
      NAIF_BODY_CODE                  += ( -49231 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_MVIC_NIR' )
      NAIF_BODY_CODE                  += ( -49232 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_MVIC_PHYLLO' )
      NAIF_BODY_CODE                  += ( -49233 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_MVIC_ORANGE' )
      NAIF_BODY_CODE                  += ( -49234 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_MVIC_GREEN' )
      NAIF_BODY_CODE                  += ( -49235 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_MVIC_VIOLET' )
      NAIF_BODY_CODE                  += ( -49236 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C04' )
      NAIF_BODY_CODE                  += ( -49240 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C05' )
      NAIF_BODY_CODE                  += ( -49241 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C06' )
      NAIF_BODY_CODE                  += ( -49242 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C07' )
      NAIF_BODY_CODE                  += ( -49243 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C08' )
      NAIF_BODY_CODE                  += ( -49244 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C09' )
      NAIF_BODY_CODE                  += ( -49245 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C10' )
      NAIF_BODY_CODE                  += ( -49246 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C11' )
      NAIF_BODY_CODE                  += ( -49247 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C12' )
      NAIF_BODY_CODE                  += ( -49248 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C13' )
      NAIF_BODY_CODE                  += ( -49249 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C14' )
      NAIF_BODY_CODE                  += ( -49250 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C15' )
      NAIF_BODY_CODE                  += ( -49251 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C16' )
      NAIF_BODY_CODE                  += ( -49252 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C17' )
      NAIF_BODY_CODE                  += ( -49253 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C18' )
      NAIF_BODY_CODE                  += ( -49254 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C19' )
      NAIF_BODY_CODE                  += ( -49255 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C20' )
      NAIF_BODY_CODE                  += ( -49256 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C21' )
      NAIF_BODY_CODE                  += ( -49257 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C22' )
      NAIF_BODY_CODE                  += ( -49258 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C23' )
      NAIF_BODY_CODE                  += ( -49259 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C24' )
      NAIF_BODY_CODE                  += ( -49260 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C25' )
      NAIF_BODY_CODE                  += ( -49261 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_LEISA_C26' )
      NAIF_BODY_CODE                  += ( -49262 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_RAD' )
      NAIF_BODY_CODE                  += ( -49290 )

      NAIF_BODY_NAME                  += ( 'LUCY_RALPH_SUNKOZ' )
      NAIF_BODY_CODE                  += ( -49299 )

      NAIF_BODY_NAME                  += ( 'LUCY_LORRI' )
      NAIF_BODY_CODE                  += ( -49300 )

      NAIF_BODY_NAME                  += ( 'LUCY_LORRI_1X1' )
      NAIF_BODY_CODE                  += ( -49301 )

      NAIF_BODY_NAME                  += ( 'LUCY_LORRI_4X4' )
      NAIF_BODY_CODE                  += ( -49302 )

      NAIF_BODY_NAME                  += ( 'LUCY_LORRI_SUNKOZ' )
      NAIF_BODY_CODE                  += ( -49399 )

      NAIF_BODY_NAME                  += ( 'LUCY_TES' )
      NAIF_BODY_CODE                  += ( -49400 )

      NAIF_BODY_NAME                  += ( 'LUCY_TES_85' )
      NAIF_BODY_CODE                  += ( -49401 )

      NAIF_BODY_NAME                  += ( 'LUCY_TES_50' )
      NAIF_BODY_CODE                  += ( -49402 )

      NAIF_BODY_NAME                  += ( 'LUCY_TES_SUNKOZ' )
      NAIF_BODY_CODE                  += ( -49499 )

   \begintext

End of FK file.
